/********************************************************************
 FileName:     	funcionalidad.h
 Dependencies:	See INCLUDES section
 Processor:		24F
 Hardware:		
 Complier:  
 Company:		UB
********************************************************************/

/** INCLUDES  ******************************************************/
#include "GenericTypeDefs.h"
#include "HardwareProfile.h"
#include <p24Fxxxx.h>
#include "usb.h"
#include "usb_function_cdc.h"
#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "usb_config.h"
#include "usb_device.h"
#include "usb.h"
#include "i2c.h"
#include "i2c_rtcc.h"
#include "InterruptTimer.h"
#include "eeprom.h"
#include "uart.h"

/** DEFINES  ******************************************************/

/** FUNCTIONS ******************************************************/
void 		ProcessIO(void);//OK
void 		ProcessIOEth(void);
void 		BlinkUSBStatus(void);//OK
void 		BlinkAveria(void);//OK
void 		UserInit(void);		//OK
void 		Funcionalidad(void);//OK
void  		LamparasOn(void);//OK
void  		LamparasOff(void);//OK
BOOL		PedirFecha(void);//OK
BOOL		ModificarFecha(void);//OK
unsigned int CalcPaquetesEnv(void);//OK
void 		CalcCRC(unsigned char buffer[], unsigned int longitud);//OK
BOOL 		CompruebaCRC(unsigned char buffer[], unsigned int longitud);//OK
void  		TrataPuls(void);//OK
void  		FiltrarInputs(void);//OK
BOOL 		Fun_Pwr_Ok(void);//OK
void 		TodoOff(void);//OK
void		SaveEventoRAM(MyByte day, MyByte month, MyByte year, MyByte hour, MyByte minute, MyByte second, MyByte msecond, MyByte NumEntrada, MyByte Codificacion);//OK
void		SaveEventosRAM();	//OK
BOOL 		SaveEventosEEPROM();	//OK
void 		SincronizaDecimas();	//OK
BOOL 		AddEventoRAM(MyByte byte1, MyByte  byte2, MyByte  byte3, MyByte  byte4, MyByte  byte5, MyByte  byte6);//OK
BOOL 		geti2cOcupado(void);	//OK
void 		seti2cOcupado(BOOL valor);	//OK
void  		DeteccionFlancos(void); //OK
void 		SaveAveriasEEPROMFun(void);//OK
void 		testAveriaRELE(void);
 void 		calcCombLamparas(void);
void PruebaComb(unsigned char CombLamparasAux[],MyByte SalidasCombLamparasAux);
BOOL 		ValidaComb(unsigned char comb[]);
