/********************************************************************
 FileName:     	eeprom.c
 Dependencies:	See INCLUDES section
 Processor:		24F
 Hardware:		
 Complier:  
 Company:		UB
********************************************************************/

/** INCLUDES  ******************************************************/
#include "GenericTypeDefs.h"
#include "HardwareProfile.h"
#include <p24Fxxxx.h>
#include "i2c.h"
#include "i2c_rtcc.h"
/** VARIABLES ********************************************************/


/** FUNCIONES ******************************************************/
int				EEPROMInit(MyByte Parametros[100], MyByte *Averias1, MyByte *Averias2);//OK
BOOL			SaveByteEEPROM(MyByte Control, unsigned char HighAddr,unsigned char LowAddr, unsigned char Data);	//OK
BOOL 			SaveByteEEPROMsinComp(MyByte ControlByte, unsigned char HighAddr,unsigned char LowAddr, unsigned char Data);//OK
BOOL			SaveByteEEPROM_RTC(unsigned char Addr, unsigned char Data);	//OK
BOOL 			SaveAveriasEEPROM(MyByte Averias1,MyByte Averias2);	//OK
BOOL 			SavePunterosEEPROM(void);	//OK
BOOL 			SavePunterosEEPROMsinComp(void);	//OK
BOOL			LeerEEPROM(unsigned char *char_pointer, int longitud);	//OK
BOOL 			SaveParametrosEEPROM_RTC(MyByte Parametros[100]);	//OK
BOOL 			InitParametrosEEPROM_RTC(MyByte Parametros[100]);	//OK
void 			setpunteroWREEPROM_INI(unsigned int val);		//OK
void 			setpunteroWREEPROM_FIN(unsigned int val);		//OK
unsigned int 	getpunteroWREEPROM_INI(void);					//OK
unsigned int 	getpunteroWREEPROM_FIN(void);					//OK
void 			setpunteroRDEEPROM(unsigned int val);			//OK
BOOL 			SaveEventoEEPROM(MyByte Dato0, MyByte Dato1, MyByte Dato2, MyByte Dato3, MyByte Dato4, MyByte Dato5); //OK
unsigned int 	testEEPROM(void);								//OK
BOOL 			SaveByteControlEEPROM(void);							//OK