
Imports System.IO.Ports
'Imports System.Windows.Forms.DataVisualization.Charting
Imports ZedGraph
Imports System.IO
Imports System.Data
Imports System.Threading


Public Class Principal

    'Create a delegate function for this thread that will take, para llamar dsd thread de recepcion del puerto serie
    Delegate Sub SetTextCallback(ByVal [text] As String, ByVal [text2] As String)
    Delegate Sub SetParametroCallback(ByVal [idParametro] As String, ByVal [valorParametro] As String)
    Delegate Sub SetFechaCallback(ByVal [yeard] As String, ByVal [month] As String, ByVal [day] As String, ByVal [hour] As String, ByVal [minute] As String, ByVal [second] As String)
    Delegate Sub SetConfigLampCallback(ByVal [Color1Lamp1] As Integer, ByVal [Color2Lamp1] As Integer, ByVal [configLamp1] As Integer, ByVal [Color1Lamp2] As Integer, ByVal [Color2Lamp2] As Integer, ByVal [configLamp2] As Integer, ByVal [Color1Lamp3] As Integer, ByVal [Color2Lamp3] As Integer, ByVal [configLamp3] As Integer, ByVal [Color1Lamp4] As Integer, ByVal [Color2Lamp4] As Integer, ByVal [configLamp4] As Integer)
    Delegate Sub SetIDRegDatCallback(ByVal [text] As String)
    Delegate Sub SetProgressBarCallback(ByVal [max] As Integer)
    Delegate Sub SetVSoftCallback(ByVal [text] As String)
    Delegate Sub SetProbadorCallback(ByVal [text] As String, ByVal [text2] As String, ByVal [text3] As String, ByVal [text4] As String, ByVal [text5] As String, ByVal [text6] As String, ByVal [text7] As String, ByVal [text8] As String, ByVal [text9] As String, ByVal [text10] As String, ByVal [text11] As String, ByVal [text12] As String, ByVal [text13] As String)
    Delegate Sub SetAlarmasCallback(ByVal [al1] As Byte, ByVal [al2] As Byte)
    Delegate Sub SetTimer2Callback()
    Delegate Sub SetDataGrid2Callback()

    Dim WithEvents WinSockCliente As New ClienteEth
    Private trd As Thread   'Thread que se ocupara de mostrar msg box

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              Form1_Load
    '* Finalidad:           Inicializacin 
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 10/05/13
    '* Historial:           NC
    '*********************************************************************************************
    'Form1 Load
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.ClientSize = New System.Drawing.Size(1280, 640)

        Me.PanelGrafico.Location = New System.Drawing.Point(0, 25)
        Me.PanelGrafico.Size = New System.Drawing.Size(1280, 640)
        Me.PanelGrafico.Visible = True

        Me.PanelModificarParametro.Location = New System.Drawing.Point(0, 25)
        Me.PanelModificarParametro.Size = New System.Drawing.Size(1280, 640)
        Me.PanelModificarParametro.Visible = False

        Me.PanelFecha.Location = New System.Drawing.Point(0, 25)
        Me.PanelFecha.Size = New System.Drawing.Size(1280, 640)
        Me.PanelFecha.Visible = False

        Me.PanelAlarmas.Location = New System.Drawing.Point(0, 25)
        Me.PanelAlarmas.Size = New System.Drawing.Size(1280, 640)
        Me.PanelAlarmas.Visible = False

        Me.PanelIdRegDat.Location = New System.Drawing.Point(0, 25)
        Me.PanelIdRegDat.Size = New System.Drawing.Size(1280, 640)
        Me.PanelIdRegDat.Visible = False

        Me.PanelProbador.Location = New System.Drawing.Point(0, 25)
        Me.PanelProbador.Size = New System.Drawing.Size(1280, 640)
        Me.PanelProbador.Visible = False

        Me.PanelLogueo.Location = New System.Drawing.Point(0, 25)
        Me.PanelLogueo.Size = New System.Drawing.Size(1280, 640)
        Me.PanelLogueo.Visible = True

        Me.PanelCodigosEventos.Location = New System.Drawing.Point(0, 25)
        Me.PanelCodigosEventos.Size = New System.Drawing.Size(1280, 640)
        Me.PanelCodigosEventos.Visible = False

        'Creamos las columnas de tabla temporal
        MiTablaTemp.Columns.Add(New DataColumn("Fecha"))
        MiTablaTemp.Columns.Add(New DataColumn("Input"))
        MiTablaTemp.Columns.Add(New DataColumn("Valor"))

        'Creamos las columnas de tabla temporal 2
        MiTablaTemp2.Columns.Add(New DataColumn("Fecha"))
        MiTablaTemp2.Columns.Add(New DataColumn("Hora"))
        MiTablaTemp2.Columns.Add(New DataColumn("Codigo"))
        MiTablaTemp2.Columns.Add(New DataColumn("Descripcion del Evento"))

        'Creamos las columnas de tabla temporal desde fichero
        MiTabla2.Columns.Add(New DataColumn("Fecha"))
        MiTabla2.Columns.Add(New DataColumn("Input"))
        MiTabla2.Columns.Add(New DataColumn("Valor"))

        'Creamos las columnas de tabla de codigos
        MiTablaCodigos.Columns.Add(New DataColumn("Codigo"))
        MiTablaCodigos.Columns.Add(New DataColumn("Descripcion del Evento"))
        Dim fichero As String = Application.StartupPath & "\REGDAT_DESC.csv"
        ConstruirTablaCodigos(fichero, ";")

        'Creamos las columnas de tabla de codigos ID
        MiTablaIDs.Columns.Add(New DataColumn("ID"))
        MiTablaIDs.Columns.Add(New DataColumn("Descripcion"))
        fichero = Application.StartupPath & "\REGDAT_ID.csv"
        ConstruirTablaIDs(fichero, "-")
        Dim SerieAnt As String
        SerieAnt = ""
        For Each row As DataRow In MiTablaIDs.Rows
            If SerieAnt <> row.Item(1) Then
                Me.ComboBoxSerie.Items.AddRange(New Object() {row.Item(0).ToString})
            End If
            SerieAnt = row.Item(1).ToString
        Next

        ' Valores por defecto combobox grafico
        Me.cbGrosorLineaGraph.SelectedIndex = 2
        ' Valores por defecto combobox id RegDat
        Me.ComboBoxSerie.SelectedIndex = 1
        ' Valores por defecto combobox resto
        Me.ComboBoxHour.SelectedIndex = 0
        Me.ComboBoxMinute.SelectedIndex = 0
        Me.ComboBoxSecond.SelectedIndex = 0

        Me.CenterToScreen()

        AddHandler Grafico.ContextMenuBuilder, AddressOf MyContextMenuBuilder

    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              UpdateCOMPortList
    '* Finalidad:           Actualiza Lista de Puertos serie activos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 10/05/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Sub UpdateCOMPortList()
        Dim s As String
        Dim i As Integer
        Dim foundDifference As Boolean

        i = 0
        foundDifference = False

        If SelPuertoMenu.Items.Count = SerialPort.GetPortNames().Length Then
            For Each s In SerialPort.GetPortNames()
                If SelPuertoMenu.Items(i).Equals(s) = False Then
                    foundDifference = True
                End If
                i = i + 1
            Next s
        Else
            foundDifference = True
        End If

        If foundDifference = False Then
            Exit Sub
        End If

        SelPuertoMenu.Items.Clear()

        For Each s In SerialPort.GetPortNames()
            SelPuertoMenu.Items.Add(s)
        Next s

        SelPuertoMenu.SelectedIndex = 0
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              Timer1_Tick
    '* Finalidad:           Timer 1 cumplido para actualizar lista de puertos com activos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        UpdateCOMPortList()
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SerialPort1_DataReceived
    '* Finalidad:           Recepcin de Datos por puerto Serie, salta cuando se reciven datos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 10/05/13
    '* Historial:           NC
    '*********************************************************************************************
    'Recepcin de Datos por puerto Serie
    Private Sub SerialPort1_DataReceived(ByVal sender As System.Object, ByVal e As System.IO.Ports.SerialDataReceivedEventArgs) Handles SerialPort1.DataReceived
        Dim longitud As Integer
        longitud = SerialPort1.BytesToRead()
        Static Dim mBuffer As Byte() = New Byte(300) {}
        Static Dim longitudAnt As Integer

        If longitud <> 0 Then
            If longitudAnt = 0 Then
                For i As Integer = 0 To longitud - 1
                    mBuffer(i) = SerialPort1.ReadByte
                Next
                If mBuffer(0) = &H55 And mBuffer(2) <> longitud Then
                    ' Trama incompleta
                    longitudAnt = longitud
                    Return
                Else
                    longitudAnt = 0
                End If
            Else
                'Trama anterior existente
                For i As Integer = 0 To longitud - 1
                    mBuffer(longitudAnt + i) = SerialPort1.ReadByte
                Next
                longitud = longitud + longitudAnt
                longitudAnt = 0
            End If
            tratatrama(mBuffer, longitud)   'Funcion de tratar trama
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              PedirDatos
    '* Finalidad:           Construlle y Envia trama lectura de datos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 10/05/13
    '* Historial:           NC
    '*********************************************************************************************
    'Funcion encargada de pedir datos de eeprom
    Private Sub PedirDatos()
        Dim mBuffer As Byte() = New Byte(7) {}
        mBuffer(0) = &HAA       'Control
        mBuffer(1) = &H0        'LongH
        mBuffer(2) = &H7       'LongL
        mBuffer(3) = &H1        'Funcion
        mBuffer(4) = (PaqueteActual And &HFF00) >> 8    'Paquete Actual H
        mBuffer(5) = PaqueteActual And &HFF 'Paquete Actual L
        mBuffer(6) = &H55       'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              BtPedirFecha_Click
    '* Finalidad:           Construlle y Envia trama lectura de fecha
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Boton de pedir fecha
    Private Sub BtPedirFecha_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtPedirFecha.Click
        Dim outputBuffer As String = "hola"
        Dim hexNumbers As System.Text.StringBuilder = New System.Text.StringBuilder

        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA       'Control
        mBuffer(1) = &H0        'LongH
        mBuffer(2) = &H5        'LongL
        mBuffer(3) = &H3        'Funcion
        mBuffer(4) = &H55       'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              BtModificarFecha_Click
    '* Finalidad:           Construlle y Envia trama modificacion de fecha
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Botos de modificar fecha
    Private Sub BtModificarFecha_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtModificarFecha.Click
        Dim mBuffer As Byte() = New Byte(11) {}

        intYear = DatePicker1.Value.Year() - 2000
        intMonth = DatePicker1.Value.Month()
        intDay = DatePicker1.Value.Day()
        intHour = ComboBoxHour.Items(ComboBoxHour.SelectedIndex)
        intMinute = ComboBoxMinute.Items(ComboBoxMinute.SelectedIndex)
        intSecond = ComboBoxSecond.Items(ComboBoxSecond.SelectedIndex)

        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &HB            'LongL
        mBuffer(3) = &H4            'Funcion
        mBuffer(4) = intYear           'Yeard
        mBuffer(5) = intMonth          'Month
        mBuffer(6) = intDay            'Day
        mBuffer(7) = intHour           'Hour
        mBuffer(8) = intMinute         'Minute
        mBuffer(9) = intSecond         'Second
        mBuffer(10) = &H55          'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btPedirParametro_Click
    '* Finalidad:           Construlle y Envia trama lectura parametro
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Boton pedir parametro
    Private Sub btPedirParametro_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btPedirParametro.Click
        intIdParametro = txtIdParametro.Text
        Dim mBuffer As Byte() = New Byte(6) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H6            'LongL
        mBuffer(3) = &H7            'Funcion
        mBuffer(4) = intIdParametro 'IdParametro
        mBuffer(5) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btModificarParametro_Click
    '* Finalidad:           Construlle y Envia trama modificacion parametro
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Boton Modificar Parametro
    Private Sub btModificarParametro_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btModificarParametro.Click
        Dim intIdParam As Integer
        Dim intValueParam As UInt16
        intIdParam = txtIdParametro.Text
        intValueParam = txtValorParametro.Text
        Dim mBuffer As Byte() = New Byte(8) {}
        mBuffer(0) = &HAA                               'Control
        mBuffer(1) = &H0                                'LongH
        mBuffer(2) = &H8                                'LongL
        mBuffer(3) = &H8                                'Funcion
        mBuffer(4) = intIdParam                         'IdParametro
        mBuffer(5) = (intValueParam And &HFF00) >> 8    'ValorParametroH
        mBuffer(6) = intValueParam And &HFF             'ValorParametroL
        mBuffer(7) = &H55                               'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              CreateGraphLine
    '* Finalidad:           Crear Grafico de Lineas a partir de DataTable
    '* Argumentos:          Objeto ZedGraphControl, DataTable de datos, tipo no utilizado
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 10/05/13
    '* Historial:           NC
    '*********************************************************************************************

    Private Sub CreateGraphLine(ByVal zgc As ZedGraphControl, ByVal tabla As DataTable, ByVal tipo As Integer)

        Dim cntTotal As Integer = 0

        Grafico.Visible = True
        myPane = zgc.GraphPane

        ' Reiniciamos grafico
        zgc.GraphPane.CurveList.Clear()

        'Opciones scroll
        zgc.IsShowVScrollBar = False
        zgc.IsShowHScrollBar = True
        zgc.IsAutoScrollRange = True
        ' Set the titles and axis labels
        myPane.Title.Text = "Grafico Datos"

        ' Set the title font characteristics
        myPane.Title.FontSpec.Family = "Arial"
        myPane.Title.FontSpec.IsItalic = True
        myPane.Title.FontSpec.Size = 18

        'Enable only horizontal zoom/stretch
        zgc.IsEnableHZoom = True
        zgc.IsEnableVZoom = False

        'Dim hlist As New PointPairList
        Dim cList0 As New PointPairList

        Dim cList1 As New PointPairList
        Dim cList1_X As New PointPairList
        Dim cList1_V As New PointPairList
        Dim cList1_A As New PointPairList
        Dim cList1_R As New PointPairList

        Dim cList2 As New PointPairList
        Dim cList2_X As New PointPairList
        Dim cList2_V As New PointPairList
        Dim cList2_A As New PointPairList
        Dim cList2_R As New PointPairList

        Dim cList3 As New PointPairList
        Dim cList3_X As New PointPairList
        Dim cList3_V As New PointPairList
        Dim cList3_A As New PointPairList
        Dim cList3_R As New PointPairList

        Dim cList4 As New PointPairList
        Dim cList4_X As New PointPairList
        Dim cList4_B As New PointPairList


        Dim cList5 As New PointPairList
        'Relleno Grafico a partir de tabla

        'Dim DatoFecha As New System.DateTime
        Dim DatoFechaString As String
        Dim DatoFecha As New Date(2012, 1, 1, 0, 0, 0, 0)
        Dim DatoEntrada As Integer
        Dim DatoValor As Integer
        Dim ContFilas As Integer

        If tabla.Rows.Count = 0 Then
            Return
        End If

        'Seleccionamos las filas con valor input a 0
        Dim expression As String
        Dim foundRows() As DataRow
        Dim i As Integer
        expression = "Input = '0'"
        foundRows = tabla.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            DatoFechaString = foundRows(i)(0).ToString
            DatoFechaString = DatoFechaString.Replace(",", ".")
            DatoFecha = Convert.ToDateTime(DatoFechaString)
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            'Para cada punto generamos uno en la misma fecha con valor contrario
            Dim x, x2 As Double
            Dim y, y2 As Integer
            x = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            x2 = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            y = DatoValor
            If DatoValor = 0 Then
                y2 = 1
            End If
            If DatoValor = 1 Then
                y2 = 0
            End If
            cList0.Add(x2, y2)
            cList0.Add(x, y)
            ContFilas += 1
            cntTotal += 1
        Next
        Dim curveRele As LineItem = myPane.AddCurve("Rele", cList0, ColorLine1Grafic, SymbolType.Diamond)
        curveRele.Line.IsVisible = True
        curveRele.Symbol.Fill = New Fill(Color.White)
        curveRele.Symbol.Size = 0
        curveRele.Line.Width = GrosorLineGrafic

        '----------------------------------------------------------------------------------------------------------------------------------------------
        'Seleccionamos las filas con valor input a 1
        expression = "Input = '1'"
        foundRows = tabla.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            DatoFechaString = foundRows(i)(0).ToString
            DatoFechaString = DatoFechaString.Replace(",", ".")
            DatoFecha = Convert.ToDateTime(DatoFechaString)
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            'Para cada punto generamos uno en la misma fecha con valor contrario
            Dim x, x2 As Double
            Dim y, y2 As Integer
            x = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            y = DatoValor + 3
            x2 = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            If DatoValor = 0 Then
                y2 = 1 + 3
            End If
            If DatoValor = 1 Then
                y2 = 0 + 3
            End If
            cList1.Add(x2, y2)
            cList1.Add(x, y)
            ContFilas += 1
            cntTotal += 1
        Next
        'Curva total
        Dim curvePulsador1 As LineItem = myPane.AddCurve("Pulsador1", cList1, ColorLine2Grafic, SymbolType.Diamond)
        curvePulsador1.Line.IsVisible = True
        curvePulsador1.Symbol.Fill = New Fill(Color.White)
        curvePulsador1.Symbol.Size = 0
        curvePulsador1.Line.Width = GrosorLineGrafic
        '----------------------------------------------------------------------------------------------------------------------------------------------
        'Seleccionamos las filas con valor input a 2
        expression = "Input = '2'"
        foundRows = tabla.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            DatoFechaString = foundRows(i)(0).ToString
            DatoFechaString = DatoFechaString.Replace(",", ".")
            DatoFecha = Convert.ToDateTime(DatoFechaString)
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            'Para cada punto generamos uno en la misma fecha con valor contrario
            Dim x, x2 As Double
            Dim y, y2 As Integer
            x = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            y = DatoValor + 6
            x2 = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            If DatoValor = 0 Then
                y2 = 1 + 6
            End If
            If DatoValor = 1 Then
                y2 = 0 + 6
            End If
            cList2.Add(x2, y2)
            cList2.Add(x, y)
            ContFilas += 1
            cntTotal += 1
        Next
        'Curva total
        Dim curvePulsador2 As LineItem = myPane.AddCurve("Pulsador2", cList2, ColorLine3Grafic, SymbolType.Diamond)
        curvePulsador2.Line.IsVisible = True
        curvePulsador2.Symbol.Fill = New Fill(Color.White)
        curvePulsador2.Symbol.Size = 0
        curvePulsador2.Line.Width = GrosorLineGrafic
        '----------------------------------------------------------------------------------------------------------------------------------------------
        'Seleccionamos las filas con valor input a 3
        expression = "Input = '3'"
        foundRows = tabla.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            DatoFechaString = foundRows(i)(0).ToString
            DatoFechaString = DatoFechaString.Replace(",", ".")
            DatoFecha = Convert.ToDateTime(DatoFechaString)
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            'Para cada punto generamos uno en la misma fecha con valor contrario
            Dim x, x2 As Double
            Dim y, y2 As Integer
            x = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            y = DatoValor + 9
            x2 = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            If DatoValor = 0 Then
                y2 = 1 + 9
            End If
            If DatoValor = 1 Then
                y2 = 0 + 9
            End If
            cList3.Add(x2, y2)
            cList3.Add(x, y)
            ContFilas += 1
            cntTotal += 1
        Next
        'Curva total
        Dim curvePulsador3 As LineItem = myPane.AddCurve("Pulsador3", cList3, ColorLine4Grafic, SymbolType.Diamond)
        curvePulsador3.Line.IsVisible = True
        curvePulsador3.Symbol.Fill = New Fill(Color.White)
        curvePulsador3.Symbol.Size = 0
        curvePulsador3.Line.Width = GrosorLineGrafic
        '----------------------------------------------------------------------------------------------------------------------------------------------
        'Seleccionamos las filas con valor input a 4
        expression = "Input = '4'"
        foundRows = tabla.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            DatoFechaString = foundRows(i)(0).ToString
            DatoFechaString = DatoFechaString.Replace(",", ".")
            DatoFecha = Convert.ToDateTime(DatoFechaString)
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            'Para cada punto generamos uno en la misma fecha con valor contrario
            Dim x, x2 As Double
            Dim y, y2 As Integer
            x = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            y = DatoValor + 12
            x2 = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            If DatoValor = 0 Then
                y2 = 1 + 12
            End If
            If DatoValor = 1 Then
                y2 = 0 + 12
            End If
            cList4.Add(x2, y2)
            cList4.Add(x, y)
            ContFilas += 1
            cntTotal += 1
        Next
        'Curva total
        Dim curvePulsador4 As LineItem = myPane.AddCurve("Pulsador4", cList4, ColorLine5Grafic, SymbolType.Diamond)
        curvePulsador4.Line.IsVisible = True
        curvePulsador4.Symbol.Fill = New Fill(Color.White)
        curvePulsador4.Symbol.Size = 0
        curvePulsador4.Symbol.Border.IsVisible = False
        curvePulsador4.Line.Width = GrosorLineGrafic
        '----------------------------------------------------------------------------------------------------------------------------------------------
        'Seleccionamos las filas con valor input a 5
        expression = "Input = '5'"
        foundRows = tabla.Select(expression)
        'For i = 0 To foundRows.GetUpperBound(0) Step 1
        For i = 0 To foundRows.Length - 1 Step 1
            DatoFechaString = foundRows(i)(0).ToString
            DatoFechaString = DatoFechaString.Replace(",", ".")
            DatoFecha = Convert.ToDateTime(DatoFechaString)
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            'Para cada punto generamos uno en la misma fecha con valor contrario
            Dim x, x2 As Double
            Dim y, y2 As Integer
            x = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            x2 = CDbl(New XDate(DatoFecha.Year, DatoFecha.Month, DatoFecha.Day, DatoFecha.Hour, DatoFecha.Minute, DatoFecha.Second, DatoFecha.Millisecond))
            If DatoValor = 0 Then
                y2 = 1 + 15
            End If
            If DatoValor = 1 Then
                y2 = 0 + 15
            End If
            y = DatoValor + 15
            cList5.Add(x2, y2)
            cList5.Add(x, y)
            ContFilas += 1
            cntTotal += 1
        Next
        Dim curveByPass As LineItem = myPane.AddCurve("ByPass", cList5, ColorLine6Grafic, SymbolType.Diamond)
        curveByPass.Line.IsVisible = True
        curveByPass.Symbol.Fill = New Fill(Color.Blue)
        curveByPass.Symbol.Size = 0
        curveByPass.Line.Width = GrosorLineGrafic

        myPane.Chart.Fill = New Fill(ColorBackGroundGrafic)
        myPane.Fill = New Fill(Color.Gray, Color.White, 90.0F)
        'Make a new curve/bar/pie

        myPane.XAxis.Title.Text = "Fecha"
        'Set the XAxis to date type
        myPane.XAxis.Type = ZedGraph.AxisType.Date
        'X axis step size is 1 segundo
        myPane.XAxis.Scale.MinorUnit = DateUnit.Millisecond
        myPane.XAxis.Scale.MajorUnit = DateUnit.Day
        myPane.XAxis.Scale.MinorStep = 1
        'tilt the x axis labels 
        myPane.XAxis.Scale.FontSpec.Angle = 0
        myPane.XAxis.Scale.FontSpec.IsBold = True
        myPane.XAxis.Scale.FontSpec.Size = 10
        myPane.XAxis.Scale.Format = "dd/MM/yy" + vbCrLf + "HH:mm:ss.f"
        'fijamos valor minimo y mximo de las x del grfico (elemento 0 y ltimo de la tabla)
        Dim DatoFechaAux As New Date(2012, 1, 1, 0, 0, 0, 0)

        DatoFechaString = tabla.Rows(0).Item(0).ToString
        DatoFechaString = DatoFechaString.Replace(",", ".")
        DatoFechaAux = Convert.ToDateTime(DatoFechaString).AddHours(-1)
        DatoFecha = Convert.ToDateTime(DatoFechaString)
        myPane.XAxis.Scale.Min = New XDate(DatoFechaAux.Year, DatoFechaAux.Month, DatoFechaAux.Day, DatoFechaAux.Hour, DatoFechaAux.Minute, DatoFechaAux.Second)

        DatoFechaString = tabla.Rows(tabla.Rows.Count - 1).Item(0).ToString
        DatoFechaString = DatoFechaString.Replace(",", ".")
        DatoFechaAux = Convert.ToDateTime(DatoFechaString).AddHours(1)
        DatoFecha = Convert.ToDateTime(DatoFechaString)
        myPane.XAxis.Scale.Max = New XDate(DatoFechaAux.Year, DatoFechaAux.Month, DatoFechaAux.Day, DatoFechaAux.Hour, DatoFechaAux.Minute, DatoFechaAux.Second)

        'Display the Y axis grid
        myPane.YAxis.Type = ZedGraph.AxisType.Linear
        myPane.YAxis.Scale.Format = "F0"
        myPane.YAxis.MajorGrid.IsVisible = True
        myPane.YAxis.Scale.MinorUnit = 1
        myPane.YAxis.Scale.MinorStep = 1
        myPane.YAxis.Scale.Min = -0.5
        myPane.YAxis.Scale.Max = 17.5

        Dim txtY(0 To 17) As String

        txtY(0) = ""
        txtY(1) = ""
        txtY(2) = ""
        txtY(3) = "Pulsador1"
        txtY(4) = ""
        txtY(5) = ""
        txtY(6) = "Pulsador2"
        txtY(7) = ""
        txtY(8) = ""
        txtY(9) = "Pulsador3"
        txtY(10) = ""
        txtY(11) = ""
        txtY(12) = "Pulsador4"
        txtY(13) = ""
        txtY(14) = ""
        txtY(15) = "ByPass"
        txtY(16) = ""
        txtY(17) = ""


        myPane.Legend.IsVisible = False
        'Display the Y axis grid
        myPane.Y2Axis.Title.Text = "Entradas"
        myPane.Y2Axis.Type = ZedGraph.AxisType.Text
        myPane.Y2Axis.IsVisible = True
        myPane.Y2Axis.Scale.TextLabels = txtY
        myPane.Y2Axis.Scale.MajorStep = 3
        myPane.Y2Axis.MajorGrid.IsVisible = True

        'Fill the axis background with a color gradient
        myPane.XAxis.IsVisible = True
        myPane.YAxis.IsVisible = False
        myPane.X2Axis.IsVisible = False
        myPane.Y2Axis.IsVisible = True


        'Refrescar la grfica
        zgc.AxisChange()
        zgc.Refresh()



    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              CreateGraphCircle
    '* Finalidad:           Crear Grafico circular a partir de datatable
    '* Argumentos:          Objeto ZedGraphControl, DataTable de datos, tipo no utilizado
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 10/05/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Sub CreateGraphCircle(ByVal zgc As ZedGraphControl, ByVal tabla As DataTable, ByVal tipo As Integer)
        Dim cntP1, cntP2, cntP3, cntP4, cntP5 As Integer
        Dim cntTotal As Integer = 0

        Grafico.Visible = True
        myPane = zgc.GraphPane

        ' Reiniciamos grafico
        zgc.GraphPane.CurveList.Clear()

        'Opciones scroll
        zgc.IsShowVScrollBar = False
        zgc.IsShowHScrollBar = True
        zgc.IsAutoScrollRange = True
        ' Set the titles and axis labels
        myPane.Title.Text = "Grafico Datos"

        ' Set the title font characteristics
        myPane.Title.FontSpec.Family = "Arial"
        myPane.Title.FontSpec.IsItalic = True
        myPane.Title.FontSpec.Size = 18

        'Enable only horizontal zoom/stretch
        zgc.IsEnableHZoom = True
        zgc.IsEnableVZoom = False

        Dim cList As New PointPairList

        'Dim DatoFecha As New System.DateTime
        Dim DatoEntrada As Integer
        Dim DatoValor As Integer

        If tabla.Rows.Count = 0 Then
            Return
        End If

        'Seleccionamos las filas con valor input a 0
        Dim expression As String
        Dim foundRows() As DataRow
        Dim i As Integer
        expression = "Input='1' OR Input='2' OR Input='3' OR Input='4'"
        foundRows = tabla.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            DatoEntrada = foundRows(i)(1)
            DatoValor = foundRows(i)(2)
            If DatoValor = 1 Then
                If DatoEntrada = 1 Then
                    cntP1 += 1
                End If
                If DatoEntrada = 2 Then
                    cntP2 += 1
                End If
                If DatoEntrada = 3 Then
                    cntP3 += 1
                End If
                If DatoEntrada = 4 Then
                    cntP4 += 1
                End If
                If DatoEntrada = 5 Then
                    cntP5 += 1
                End If
                cntTotal += 1
            End If

        Next

        Dim CirculoP1 As PieItem = myPane.AddPieSlice(cntP1, Color.Green, 0, "Pulsador 1 " + cntP1.ToString + "/" + cntTotal.ToString)
        Dim CirculoP2 As PieItem = myPane.AddPieSlice(cntP2, Color.Yellow, 0, "Pulsador 2 " + cntP2.ToString() + "/" + cntTotal.ToString)
        Dim CirculoP3 As PieItem = myPane.AddPieSlice(cntP3, Color.Red, 0, "Pulsador 3 " + cntP3.ToString() + "/" + cntTotal.ToString)
        Dim CirculoP4 As PieItem = myPane.AddPieSlice(cntP4, Color.White, 0, "Pulsador 4 " + cntP4.ToString() + "/" + cntTotal.ToString)
        Dim CirculoP5 As PieItem = myPane.AddPieSlice(cntP5, Color.Gray, 0, "Pulsador 5 " + cntP5.ToString() + "/" + cntTotal.ToString)
        Dim curves As CurveList = myPane.CurveList

        myPane.XAxis.IsVisible = False
        myPane.YAxis.IsVisible = False
        myPane.X2Axis.IsVisible = False
        myPane.Y2Axis.IsVisible = False

        'Refrescar la grfica
        zgc.AxisChange()
        zgc.Refresh()



    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConstruirDatatable
    '* Finalidad:           Construir Datatable desde archivo
    '* Argumentos:          Ruta del fichero, y separador utilizado
    '* Retorno:             DataTable Construida
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Function ConstruirDatatable(ByVal RutaCompletaArchivo As String, ByVal Separador As Char) As DataTable
        Dim MiFila As DataRow
        'declaramos el resto de variables que nos harn falta
        Dim pos As Boolean = False
        Dim i As Integer
        Dim fieldValues As String()
        Dim miReader As IO.StreamReader

        'Reset Tabla
        MiTabla.Clear()
        MiTabla.Rows.Clear()
        MiTabla.Columns.Clear()
        Try
            'Abrimos el fichero y leemos la primera linea con el fin de determinar cuantos campos tenemos
            miReader = File.OpenText(RutaCompletaArchivo)
            ' Las 3 primeras filas contienes Serie Inicio Fin y Coche
            fieldValues = miReader.ReadLine().Split(Separador)
            fieldValues = miReader.ReadLine().Split(Separador)
            fieldValues = miReader.ReadLine().Split(Separador)
            fieldValues = miReader.ReadLine().Split(Separador)

            'Creamos las columnas de la cabecera
            For i = 0 To fieldValues.Length() - 1
                MiTabla.Columns.Add(New DataColumn(fieldValues(i).ToString()))
            Next

            'Continuamos leyendo el resto de filas y aadiendolas a la tabla
            While miReader.Peek() <> -1
                fieldValues = miReader.ReadLine().Split(Separador)
                MiFila = MiTabla.NewRow
                For i = 0 To fieldValues.Length() - 1
                    MiFila.Item(i) = fieldValues(i).ToString
                Next
                MiTabla.Rows.Add(MiFila)
            End While
            'Cerramos el reader
            miReader.Close()
        Catch ex As Exception
            'Gestionamos las excepciones
            MsgBox(ex.Message)

        Finally
            'codigo excepcion o no

        End Try
        'Devolvemos el DataTable si ha ido bien
        Return MiTabla
    End Function
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConstruirDatatableGrafico
    '* Finalidad:           Construir Datable Arreglada para mostrar grfico
    '* Argumentos:          DataTable de datos
    '* Retorno:             DataTable Arreglada para generar grfico correcto
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Function ConstruirDatatableGrafico(ByVal Tabla As DataTable) As DataTable
        Dim MiFila As DataRow
        'declaramos el resto de variables que nos harn falta
        Dim FechaAnt As New Date(2000, 1, 1, 0, 0, 0, 0)
        Dim HoraAnt As New Date(2000, 1, 1, 0, 0, 0, 0)
        Dim FechaNewTxt, InputNew, ValorNew As String
        'Reset Tabla
        MiTabla2.Rows.Clear()
        For Each row As DataRow In Tabla.Rows
            MiFila = MiTabla2.NewRow
            FechaAnt = row(0)
            HoraAnt = row(1)
            Dim FechaNew As New Date(FechaAnt.Year, FechaAnt.Month, FechaAnt.Day, HoraAnt.Hour, HoraAnt.Minute, HoraAnt.Second, HoraAnt.Millisecond)
            FechaNewTxt = FechaNew.ToString("yyyy-MM-dd HH:mm:ss.f")
            InputNew = "0"
            ValorNew = "0"
            If row(2) = MiTablaCodigos.Rows(0).Item(0) Then
                InputNew = "1"
                ValorNew = "1"
            End If
            If row(2) = MiTablaCodigos.Rows(1).Item(0) Then
                InputNew = "1"
                ValorNew = "0"
            End If
            If row(2) = MiTablaCodigos.Rows(2).Item(0) Then
                InputNew = "2"
                ValorNew = "1"
            End If
            If row(2) = MiTablaCodigos.Rows(3).Item(0) Then
                InputNew = "2"
                ValorNew = "0"
            End If
            If row(2) = MiTablaCodigos.Rows(4).Item(0) Then
                InputNew = "3"
                ValorNew = "1"
            End If
            If row(2) = MiTablaCodigos.Rows(5).Item(0) Then
                InputNew = "3"
                ValorNew = "0"
            End If
            If row(2) = MiTablaCodigos.Rows(6).Item(0) Then
                InputNew = "4"
                ValorNew = "1"
            End If
            If row(2) = MiTablaCodigos.Rows(7).Item(0) Then
                InputNew = "4"
                ValorNew = "0"
            End If
            If row(2) = MiTablaCodigos.Rows(8).Item(0) Then
                InputNew = "5"
                ValorNew = "1"
            End If
            If row(2) = MiTablaCodigos.Rows(9).Item(0) Then
                InputNew = "5"
                ValorNew = "0"
            End If
            MiFila.Item(0) = FechaNewTxt
            MiFila.Item(1) = InputNew
            MiFila.Item(2) = ValorNew
            MiTabla2.Rows.Add(MiFila)
        Next
        'Devolvemos el DataTable si ha ido bien
        Return MiTabla2
    End Function
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConstruirTablaCodigos
    '* Finalidad:           Contruir Tabla de Codigos a partir de fichero
    '* Argumentos:          Ruta del fichero, Separador utilizado
    '* Retorno:             DataTable Generada
    '* Variables Globales:  MiTablaCodigos
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Function ConstruirTablaCodigos(ByVal RutaCompletaArchivo As String, ByVal Separador As Char) As DataTable
        'declaramos la Tabla donde aadiremos los datos y la fila correspondiente
        'Dim MiTabla As DataTable = New DataTable("MyTable")
        Dim MiFila As DataRow
        'declaramos el resto de variables que nos harn falta
        Dim pos As Boolean = False
        Dim i As Integer
        Dim fieldValues As String()
        Dim miReader As IO.StreamReader

        ' Labels de fecha y nombre
        Me.LbNombreFicheroCodigos.Text = "Nombre: " + RutaCompletaArchivo.Substring(InStrRev(RutaCompletaArchivo, "\"))
        Me.LbFechaFicheroCodigos.Text = "Fecha Modificado: " + FechaModificacion(RutaCompletaArchivo).ToString

        'Reset Tabla
        MiTablaCodigos.Clear()
        MiTablaCodigos.Rows.Clear()
        Try
            'Abrimos el fichero y leemos la primera linea con el fin de determinar cuantos campos tenemos
            miReader = File.OpenText(RutaCompletaArchivo)
            'Continuamos leyendo el resto de filas y aadiendolas a la tabla
            While miReader.Peek() <> -1
                fieldValues = miReader.ReadLine().Split(Separador)
                MiFila = MiTablaCodigos.NewRow
                For i = 0 To fieldValues.Length() - 1
                    MiFila.Item(i) = fieldValues(i).ToString
                Next
                MiTablaCodigos.Rows.Add(MiFila)
            End While
            'Cerramos el reader
            miReader.Close()
        Catch ex As Exception
            'Gestionamos las excepciones
            MsgBox(ex.Message)

        Finally
            'codigo excepcion o no

        End Try
        'Devolvemos el DataTable si ha ido bien
        Return MiTablaCodigos
    End Function
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConstruirTablaIDs
    '* Finalidad:           Contruir Tabla de Identificadores a partir de fichero
    '* Argumentos:          Ruta del fichero y s`parador utilizado
    '* Retorno:             Datatable generada
    '* Variables Globales:  MiTablaIDs
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************

    Private Function ConstruirTablaIDs(ByVal RutaCompletaArchivo As String, ByVal Separador As Char) As DataTable
        'declaramos la Tabla donde aadiremos los datos y la fila correspondiente
        'Dim MiTabla As DataTable = New DataTable("MyTable")
        Dim MiFila As DataRow
        'declaramos el resto de variables que nos harn falta
        Dim pos As Boolean = False
        Dim i As Integer
        Dim fieldValues As String()
        Dim miReader As IO.StreamReader

        ' Labels de fecha y nombre
        Me.LbNombreFicheroID.Text = "Nombre: " + RutaCompletaArchivo.Substring(InStrRev(RutaCompletaArchivo, "\"))
        Me.LbFechaFicheroID.Text = "Fecha Modificado: " + FechaModificacion(RutaCompletaArchivo).ToString
        'Reset Tabla
        MiTablaIDs.Clear()
        MiTablaIDs.Rows.Clear()
        Try
            'Abrimos el fichero y leemos la primera linea con el fin de determinar cuantos campos tenemos
            miReader = File.OpenText(RutaCompletaArchivo)
            'Continuamos leyendo el resto de filas y aadiendolas a la tabla
            While miReader.Peek() <> -1
                fieldValues = miReader.ReadLine().Split(Separador)
                MiFila = MiTablaIDs.NewRow
                For i = 0 To fieldValues.Length() - 1
                    MiFila.Item(i) = fieldValues(i).ToString
                Next
                MiTablaIDs.Rows.Add(MiFila)
            End While
            'Cerramos el reader
            miReader.Close()
        Catch ex As Exception
            'Gestionamos las excepciones
            MsgBox(ex.Message)

        Finally
            'codigo excepcion o no

        End Try
        'Devolvemos el DataTable si ha ido bien
        Return MiTablaIDs
    End Function
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ExportDatasetToCsv
    '* Finalidad:           Exportar Datable a fichero csv
    '* Argumentos:          Ruta del fichero, separador utilizado, DataTable por parametro
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Exportar Datable a fichero csv
    Private Sub ExportDatasetToCsv(ByVal RutaCompletaArchivo As String, ByVal Separador As Char, ByVal dt As DataTable)
        'Declaration of Variables
        Dim myString As String
        Dim bFirstRecord As Boolean = True
        Dim myWriter As New System.IO.StreamWriter(RutaCompletaArchivo)
        myString = ""
        Try
            For Each dr As DataRow In dt.Rows
                bFirstRecord = True
                For Each field As Object In dr.ItemArray
                    If Not bFirstRecord Then
                        myString = myString + Separador
                    End If
                    myString = myString + field.ToString
                    bFirstRecord = False
                Next
                myWriter.WriteLine(myString)
                myString = ""
            Next
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        'Clean up
        myWriter.Close()
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ExportDatasetToCsv
    '* Finalidad:           Exportar DataGrid a fichero csv
    '* Argumentos:          Ruta del fichero, separador utilizado, DataGrid por parametro
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Sub ExportDatasetToCsv(ByVal RutaCompletaArchivo As String, ByVal Separador As Char, ByVal dt As DataGridView)
        'Declaration of Variables
        Dim myString As String
        Dim bFirstRecord As Boolean = True
        Dim bFirstLine As Boolean = True
        Dim myWriter As New System.IO.StreamWriter(RutaCompletaArchivo)
        myString = ""
        'Primero Colocamos 
        'id; numid;Inicio;FechaHoraInicio
        'Nombre; Nombre;Fin;FechaHoraFin
        myString = "ID   " + Separador + Mid(Me.txtIdRegDat.Text, 1, 3) + Separador + "Inicio" + Separador + dt(0, 0).Value.ToString + " - " + dt(1, 0).Value.ToString
        myWriter.WriteLine(myString)
        myString = "NOMBRE" + Separador + Me.txtIdRegDat.Text.Trim + Separador + "Fin" + Separador + dt(0, dt.RowCount - 2).Value.ToString + " - " + dt(1, dt.RowCount - 2).Value.ToString
        myWriter.WriteLine(myString)
        myString = ""
        myWriter.WriteLine(myString)
        Try
            'For Each dr As DataGridViewRow In dt.Rows
            For i As Integer = 0 To dt.RowCount - 2
                bFirstRecord = True
                'For Each col As DataGridViewColumn In dt.Columns
                For j As Integer = 0 To dt.ColumnCount - 1
                    If Not bFirstRecord Then
                        myString = myString + Separador
                    End If
                    'myString = myString + dt(col.Index, dr.Index).Value.ToString
                    myString = myString + dt(j, i).Value.ToString
                    bFirstRecord = False
                Next
                If bFirstLine Then
                    myWriter.WriteLine(dt.Columns(0).Name + Separador + dt.Columns(1).Name + Separador + dt.Columns(2).Name + Separador + dt.Columns(3).Name)
                End If
                myWriter.WriteLine(myString)
                myString = ""
                bFirstLine = False
            Next
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        'Clean up
        myWriter.Close()
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ExportDatasetToCsvSinCabecera
    '* Finalidad:           Exportar DataGrid a csv tal cual sin cabeceras especiales ni titulos de columnas
    '* Argumentos:          Ruta del fichero, separador utilizado, DataGrid por parametro
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Sub ExportDatasetToCsvSinCabecera(ByVal RutaCompletaArchivo As String, ByVal Separador As Char, ByVal dt As DataGridView)
        'Declaration of Variables
        Dim myString As String
        Dim bFirstRecord As Boolean = True
        Dim myWriter As New System.IO.StreamWriter(RutaCompletaArchivo)
        myString = ""
        Try
            'For Each dr As DataGridViewRow In dt.Rows
            Dim i, j As Integer
            For i = 0 To dt.RowCount - 2 Step 1
                bFirstRecord = True
                'For Each col As DataGridViewColumn In dt.Columns
                For j = 0 To dt.ColumnCount - 1 Step 1
                    If Not bFirstRecord Then
                        myString = myString + Separador
                    End If
                    myString = myString + dt(j, i).Value.ToString
                    bFirstRecord = False
                Next
                myWriter.WriteLine(myString)
                myString = ""
            Next
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        'Clean up
        myWriter.Close()
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              AddFilaTabla
    '* Finalidad:           Aadir Fila a la Tabla de Evntos
    '* Argumentos:          DataTable, Valores 
    '* Retorno:             NC
    '* Variables Globales:  MiTablaTemp
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Aadir una fila a una tabala de datos
    Private Function AddFilaTabla(ByVal MiTablaTemp As DataTable, ByVal Day As Integer, ByVal Month As Integer, ByVal Year As Integer, ByVal Hour As Integer, ByVal Minute As Integer, ByVal Second As Integer, ByVal mSecond As Integer, ByVal Input As Integer, ByVal Valor As Integer)

        Dim Fecha, Hora, Descripcion, Codigo As String
        Dim MiFila As DataRow
        'declaramos el resto de variables que nos harn falta
        Dim pos As Boolean = False

        MiFila = MiTablaTemp.NewRow
        'Comprobamos que haya dato TODO comprobacion completa
        If Month <> 0 And Day <> 0 Then
            Dim date1 As New Date(Year + 2000, Month, Day, Hour, Minute, Second, mSecond * 100)
            Fecha = date1.ToString("yyyy-MM-dd HH:mm:ss.f")
            MiFila.Item(0) = Fecha
            MiFila.Item(1) = Input
            MiFila.Item(2) = Valor
            MiTablaTemp.Rows.Add(MiFila)
        End If

        MiFila = MiTablaTemp2.NewRow
        'Comprobamos que haya dato TODO comprobacion completa
        If Month <> 0 And Day <> 0 Then
            Dim date1 As New Date(Year + 2000, Month, Day, Hour, Minute, Second, mSecond * 100)
            Fecha = date1.ToString("dd/MM/yyyy")
            Hora = date1.ToString("HH:mm:ss.f")
            MiFila.Item(0) = Fecha
            MiFila.Item(1) = Hora
            Codigo = ""
            Descripcion = ""
            If Input = 1 And Valor = 1 Then
                Codigo = MiTablaCodigos.Rows(0).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(0).Item(1).ToString
            End If
            If Input = 1 And Valor = 0 Then
                Codigo = MiTablaCodigos.Rows(1).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(1).Item(1).ToString
            End If
            If Input = 2 And Valor = 1 Then
                Codigo = MiTablaCodigos.Rows(2).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(2).Item(1).ToString
            End If
            If Input = 2 And Valor = 0 Then
                Codigo = MiTablaCodigos.Rows(3).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(3).Item(1).ToString
            End If
            If Input = 3 And Valor = 1 Then
                Codigo = MiTablaCodigos.Rows(4).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(4).Item(1).ToString
            End If
            If Input = 3 And Valor = 0 Then
                Codigo = MiTablaCodigos.Rows(5).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(5).Item(1).ToString
            End If
            If Input = 4 And Valor = 1 Then
                Codigo = MiTablaCodigos.Rows(6).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(6).Item(1).ToString
            End If
            If Input = 4 And Valor = 0 Then
                Codigo = MiTablaCodigos.Rows(7).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(7).Item(1).ToString
            End If
            If Input = 5 And Valor = 1 Then
                Codigo = MiTablaCodigos.Rows(8).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(8).Item(1).ToString
            End If
            If Input = 5 And Valor = 0 Then
                Codigo = MiTablaCodigos.Rows(9).Item(0).ToString
                Descripcion = MiTablaCodigos.Rows(9).Item(1).ToString
            End If
            MiFila.Item(2) = Codigo
            MiFila.Item(3) = Descripcion
            MiTablaTemp2.Rows.Add(MiFila)
        End If
        AddFilaTabla = 1
    End Function
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              DesconectarMenu_Click
    '* Finalidad:           Boton Desconectar del men, actualiza menus activos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  Logeado, paneles
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    'Boton Desconectar del men
    Private Sub DesconectarMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DesconectarMenu.Click
        'Reset the state of the application objects
        If Logeado Then
            Me.PanelLogueo.Visible = False
            Me.PanelGrafico.Visible = True
            'Habilitacin de menus
            Me.ConexionMenu.Enabled = True
            Me.SelPuertoMenu.Enabled = True
            Me.ConectarMenu.Enabled = True
            Me.DesconectarMenu.Enabled = False
            '---------------------------------------------
            Me.DatosMenu.Enabled = True
            Me.PedirDatosRegistradorMenu.Enabled = False
            Me.BorrarDatosRegistradorMenu.Enabled = False
            Me.AbrirArchivoMenu.Enabled = True
            Me.GenerarArchivoMenu.Enabled = False
            '---------------------------------------------
            Me.GraficoMenu.Enabled = True
            '---------------------------------------------
            Me.ConfigurarMenu.Enabled = True
            Me.ConfigurarFechaMenu.Enabled = False
            Me.CodigosIdMenu.Enabled = False
            Me.ConfigurarParametrosMenu.Visible = False
            Me.ProbadorMenu.Visible = False
            Me.CodigosEventosMenu.Enabled = False
            '--------------------------------------------
            Me.DiagnsticoMenu.Enabled = False
            '--------------------------------------------
            Me.FirmwareMenu.Enabled = False
            Me.ComprobarVersionMenu.Enabled = False
            Me.ActualizarFirmwareMenu.Enabled = False
            '--------------------------------------------
        End If
        If Logeado2 Then
            Me.PanelLogueo.Visible = False
            Me.PanelGrafico.Visible = True
            'Habilitacin de menus
            Me.ConexionMenu.Enabled = True
            Me.SelPuertoMenu.Enabled = True
            Me.ConectarMenu.Enabled = True
            Me.DesconectarMenu.Enabled = False
            txtIPMenu.Enabled = True
            ConectarIPMenu.Enabled = True
            '---------------------------------------------
            Me.DatosMenu.Enabled = True
            Me.PedirDatosRegistradorMenu.Enabled = False
            Me.BorrarDatosRegistradorMenu.Enabled = False
            Me.AbrirArchivoMenu.Enabled = True
            Me.GenerarArchivoMenu.Enabled = False
            '---------------------------------------------
            Me.GraficoMenu.Enabled = True
            '---------------------------------------------
            Me.ConfigurarMenu.Enabled = True
            Me.ConfigurarFechaMenu.Enabled = False
            Me.CodigosIdMenu.Enabled = True
            Me.ConfigurarParametrosMenu.Visible = False
            Me.ProbadorMenu.Visible = False
            Me.CodigosEventosMenu.Enabled = True
            '--------------------------------------------
            Me.DiagnsticoMenu.Enabled = False
            '--------------------------------------------
            Me.FirmwareMenu.Enabled = False
            Me.ComprobarVersionMenu.Enabled = False
            Me.ActualizarFirmwareMenu.Enabled = False
            '--------------------------------------------
        End If
        If LogeadoAdmin Then
            Me.PanelLogueo.Visible = False
            Me.PanelGrafico.Visible = True
            'Habilitacin de menus
            Me.ConexionMenu.Enabled = True
            Me.SelPuertoMenu.Enabled = True
            Me.ConectarMenu.Enabled = True
            Me.DesconectarMenu.Enabled = False
            txtIPMenu.Enabled = True
            ConectarIPMenu.Enabled = True
            '---------------------------------------------
            Me.DatosMenu.Enabled = True
            Me.PedirDatosRegistradorMenu.Enabled = False
            Me.BorrarDatosRegistradorMenu.Enabled = False
            Me.AbrirArchivoMenu.Enabled = True
            Me.GenerarArchivoMenu.Enabled = False
            '---------------------------------------------
            Me.GraficoMenu.Enabled = True
            '---------------------------------------------
            Me.ConfigurarMenu.Enabled = True
            Me.ConfigurarFechaMenu.Enabled = False
            Me.CodigosIdMenu.Enabled = True
            Me.ConfigurarParametrosMenu.Visible = True
            Me.ProbadorMenu.Visible = True
            Me.CodigosEventosMenu.Enabled = True
            '--------------------------------------------
            Me.DiagnsticoMenu.Enabled = False
            '--------------------------------------------
            Me.FirmwareMenu.Enabled = False
            Me.ComprobarVersionMenu.Enabled = False
            Me.ActualizarFirmwareMenu.Enabled = False
            '--------------------------------------------
        End If
        Me.EstadoMenu.Text = "Desconectado"
        Me.EstadoMenu.BackColor = Color.Red
        ConectadoUSB = False
        ConectadoETH = False
        Try
            'Dispose the In and Out buffers;
            SerialPort1.DiscardInBuffer()
            SerialPort1.DiscardOutBuffer()
            'Close the COM port
            SerialPort1.Close()
        Catch ex As Exception

        End Try
        WinSockCliente.DesConectar()
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              AbrirArchivoMenu_Click
    '* Finalidad:           Boton Abrir Fichero csv del menu, genera Datagrid
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  DataGrid
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    '
    Private Sub AbrirArchivoMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AbrirArchivoMenu.Click
        Dim fichero As String
        Dim dlAbrir As New System.Windows.Forms.OpenFileDialog
        Dim separador As Char

        dlAbrir.Filter = "Archivos csv (*.csv)|*.csv"
        dlAbrir.Multiselect = False
        dlAbrir.CheckFileExists = False
        dlAbrir.Title = "Seleccin de fichero"
        dlAbrir.ShowDialog()
        If dlAbrir.FileName <> "" Then
            fichero = dlAbrir.FileName
            separador = ";"
            MiTabla = ConstruirDatatable(fichero, separador)
            MiTabla2 = ConstruirDatatableGrafico(MiTabla)
            'Mostramos tabla en datagrid
            DataGrid.DataSource = Nothing
            DataGrid.DataSource = MiTabla
            DataGrid.AutoResizeColumns()
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConfigurarFechaMenu_Click
    '* Finalidad:           Cambio a pantalla de lectura y modificacion de fecha
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ConfigurarFechaMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ConfigurarFechaMenu.Click
        Me.PanelFecha.Visible = True
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConfigurarParametrosMenu_Click
    '* Finalidad:           Cambio a pantalla de configuracion de parametros
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ConfigurarParametrosMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ConfigurarParametrosMenu.Click
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = True
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              GraficoToolStripMenuItem_Click
    '* Finalidad:           Cambio a pantalla de grafico
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub GraficoToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GraficoMenu.Click
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = True
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              DatosToolStripMenuItem_Click
    '* Finalidad:           Cambio a pantalla de logueo
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub DatosToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = True
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              AlarmasToolStripMenuItem_Click
    '* Finalidad:           Cambio a pantalla de alarmas y envia trama de lectura de las actuales
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub AlarmasToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = True
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
        'Pedimos Alarmas
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5           'LongL
        mBuffer(3) = &HF            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ProbadorToolStripMenuItem_Click
    '* Finalidad:           Cambio a pantalla de modo probador, solo en desarroyo
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ProbadorToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ProbadorMenu.Click
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = True
        Me.PanelCodigosEventos.Visible = False
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              AcercaDeToolStripMenuItem_Click
    '* Finalidad:           Abre formulario de acerca de...
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub AcercaDeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AcercaDeToolStripMenuItem.Click
        FormAcerca.Visible = True
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              GenerarArchivoMenu_Click
    '* Finalidad:           genera fichero .csv a partir de datagrid
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub GenerarArchivoMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GenerarArchivoMenu.Click

        Dim dlGuardar As New System.Windows.Forms.SaveFileDialog

        dlGuardar.Filter = "Archivos csv (*.csv)|*.csv"
        dlGuardar.CheckFileExists = False
        dlGuardar.OverwritePrompt = True
        dlGuardar.Title = "Guardar Datos en Fichero"
        dlGuardar.FileName = Replace(DataGrid2(0, 0).Value.ToString, "/", "") + "_" + Me.txtIdRegDat.Text
        dlGuardar.ShowDialog()
        If dlGuardar.FileName <> "" Then
            Dim fichero As New System.IO.StreamWriter(dlGuardar.FileName)
            fichero.Close()
            Dim ruta As String
            Dim separador As Char
            ruta = dlGuardar.FileName
            separador = ";"
            'ExportDatasetToCsv(ruta, separador, MiTablaTemp)
            ExportDatasetToCsv(ruta, separador, DataGrid2)

        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ExportarDataGridViewADataTable
    '* Finalidad:           Exporta DataGrid a DataTable
    '* Argumentos:          DataGridView, DataTable
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Shared Sub ExportarDataGridViewADataTable(ByVal miDataGrid As DataGridView, ByRef Tabla As DataTable)
        Try
            Dim filaNueva As System.Data.DataRow
            Dim numCols As Integer

            numCols = miDataGrid.ColumnCount

            ' Rellenamos los valores del DataTable nuevo con los valores de las celdas del DataGridView
            For Each filaDatos As DataGridViewRow In miDataGrid.Rows
                filaNueva = Tabla.NewRow()
                For i As Integer = 0 To numCols - 1
                    filaNueva(i) = filaDatos.Cells(i).Value
                Next
                Tabla.Rows.Add(filaNueva)
            Next

        Catch ex As Exception
            Tabla = New DataTable
        End Try

    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btBorrarEEPROM_Click
    '* Finalidad:           Construye y Envia trama de lectura de ID del registrador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btPedirIDRegDat_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &H5            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btBorrarEEPROM_Click
    '* Finalidad:           Construye yEnvia trama de Borrado de EEPROM del registrador (datos)
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btBorrarEEPROM_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btBorrarEEPROM.Click
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &H2            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ActualizarFirmwareToolStripMenuItem_Click
    '* Finalidad:           Construye y Envia trama de modificacin de ID de Registrador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btModificarIDRegDatParametro_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim mBuffer As Byte() = New Byte(13) {}
        mBuffer(0) = &HAA                               'Control
        mBuffer(1) = &H0                                'LongH
        mBuffer(2) = &HE                                'LongL
        mBuffer(3) = &H6                                'Funcion
        mBuffer(4) = AscW(txtIdRegDat.Text.Chars(0)) 'IdRegDat
        mBuffer(5) = AscW(txtIdRegDat.Text.Chars(1)) 'IdRegDat
        mBuffer(6) = AscW(txtIdRegDat.Text.Chars(2)) 'IdRegDat
        mBuffer(7) = AscW(txtIdRegDat.Text.Chars(3)) 'IdRegDat
        mBuffer(8) = AscW(txtIdRegDat.Text.Chars(4)) 'IdRegDat
        mBuffer(9) = AscW(txtIdRegDat.Text.Chars(5)) 'IdRegDat
        mBuffer(10) = AscW(txtIdRegDat.Text.Chars(6)) 'IdRegDat
        mBuffer(11) = AscW(txtIdRegDat.Text.Chars(7)) 'IdRegDat
        mBuffer(12) = &H55                               'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ActualizarFirmwareToolStripMenuItem_Click
    '* Finalidad:           Construye y Envia trama de reset y habre programa de bootloader para cambio de firmware
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ActualizarFirmwareToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ActualizarFirmwareMenu.Click
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &HB            'Funcion
        mBuffer(4) = &H55           'CRC H
        EnviaTramaUSB(mBuffer)
        DesconectarMenu_Click(Me, e)
        Dim aux As String
        aux = CurDir()
        Shell(CurDir() + "\DassBootloader.exe", AppWinStyle.NormalFocus)
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              PedirDatosRegistradorToolStripMenuItem_Click
    '* Finalidad:           Construye y Envia trama de lectura de version de firmware del registrador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ComprobarVersionToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComprobarVersionMenu.Click
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &HC            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              PedirDatosRegistradorToolStripMenuItem_Click
    '* Finalidad:           Gestiona Click Boton reinicia DataTables y progressbar
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub PedirDatosRegistradorToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PedirDatosRegistradorMenu.Click
        ProgressBar1.Value = 0
        MiTablaTemp.Clear()
        MiTablaTemp2.Clear()
        PedirDatos()
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              BorrarDatosRegistradorToolStripMenuItem_Click
    '* Finalidad:           Construye y Envia trama de borrado de datos del registrador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub BorrarDatosRegistradorToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BorrarDatosRegistradorMenu.Click
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &H2            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btLogin_Click
    '* Finalidad:           Tratar pulsacin de boton de logueo y habilita los menus dependiendo de esto
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  Logeado
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btLogin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btLogin.Click
        If Me.txtUsuario.Text = "u1" Or Me.txtUsuario.Text = "U1" Then
            If Me.mtxtPassword.Text = "1234" Then
                Logeado = True
                Me.PanelLogueo.Visible = False
                Me.PanelGrafico.Visible = True
                'Habilitacin de menus
                Me.ConexionMenu.Enabled = True
                Me.SelPuertoMenu.Enabled = True
                Me.ConectarMenu.Enabled = True
                Me.DesconectarMenu.Enabled = False
                '---------------------------------------------
                Me.DatosMenu.Enabled = True
                Me.PedirDatosRegistradorMenu.Enabled = False
                Me.BorrarDatosRegistradorMenu.Enabled = False
                Me.AbrirArchivoMenu.Enabled = True
                Me.GenerarArchivoMenu.Enabled = False
                '---------------------------------------------
                Me.GraficoMenu.Enabled = True
                '---------------------------------------------
                Me.ConfigurarMenu.Enabled = True
                Me.ConfigurarFechaMenu.Enabled = False
                Me.CodigosIdMenu.Enabled = False
                Me.ConfigurarParametrosMenu.Visible = False
                Me.ProbadorMenu.Visible = False
                Me.CodigosEventosMenu.Enabled = False
                '--------------------------------------------
                Me.DiagnsticoMenu.Enabled = False
                '--------------------------------------------
                Me.FirmwareMenu.Enabled = False
                Me.ComprobarVersionMenu.Enabled = False
                Me.ActualizarFirmwareMenu.Enabled = False
                '--------------------------------------------
                Me.EstadoMenu.Text = "Logeado u1"
            End If
        End If
        If Me.txtUsuario.Text = "u2" Or Me.txtUsuario.Text = "U2" Then
            If Me.mtxtPassword.Text = "5678" Then
                Logeado2 = True
                Me.PanelLogueo.Visible = False
                Me.PanelGrafico.Visible = True
                'Habilitacin de menus
                Me.ConexionMenu.Enabled = True
                Me.SelPuertoMenu.Enabled = True
                Me.ConectarMenu.Enabled = True
                Me.DesconectarMenu.Enabled = False
                '---------------------------------------------
                Me.DatosMenu.Enabled = True
                Me.PedirDatosRegistradorMenu.Enabled = False
                Me.BorrarDatosRegistradorMenu.Enabled = False
                Me.AbrirArchivoMenu.Enabled = True
                Me.GenerarArchivoMenu.Enabled = False
                '---------------------------------------------
                Me.GraficoMenu.Enabled = True
                '---------------------------------------------
                Me.ConfigurarMenu.Enabled = True
                Me.ConfigurarFechaMenu.Enabled = False
                Me.CodigosIdMenu.Enabled = True
                Me.ConfigurarParametrosMenu.Visible = False
                Me.ProbadorMenu.Visible = False
                Me.CodigosEventosMenu.Enabled = True
                '--------------------------------------------
                Me.DiagnsticoMenu.Enabled = False
                '--------------------------------------------
                Me.FirmwareMenu.Enabled = False
                Me.ComprobarVersionMenu.Enabled = False
                Me.ActualizarFirmwareMenu.Enabled = False
                '--------------------------------------------
                Me.EstadoMenu.Text = "Logeado u2"
            End If
        End If
        If Me.txtUsuario.Text = "admin" Then
            If Me.mtxtPassword.Text = "31415" Then
                LogeadoAdmin = True
                Me.PanelLogueo.Visible = False
                Me.PanelGrafico.Visible = True
                'Habilitacin de menus
                Me.ConexionMenu.Enabled = True
                Me.SelPuertoMenu.Enabled = True
                Me.ConectarMenu.Enabled = True
                Me.DesconectarMenu.Enabled = False
                '---------------------------------------------
                Me.DatosMenu.Enabled = True
                Me.PedirDatosRegistradorMenu.Enabled = False
                Me.BorrarDatosRegistradorMenu.Enabled = False
                Me.AbrirArchivoMenu.Enabled = True
                Me.GenerarArchivoMenu.Enabled = False
                '---------------------------------------------
                Me.GraficoMenu.Enabled = True
                '---------------------------------------------
                Me.ConfigurarMenu.Enabled = True
                Me.ConfigurarFechaMenu.Enabled = False
                Me.CodigosIdMenu.Enabled = True
                Me.ConfigurarParametrosMenu.Visible = True
                Me.ProbadorMenu.Visible = True
                Me.CodigosEventosMenu.Enabled = True
                '--------------------------------------------
                Me.DiagnsticoMenu.Enabled = False
                '--------------------------------------------
                Me.FirmwareMenu.Enabled = False
                Me.ComprobarVersionMenu.Enabled = False
                Me.ActualizarFirmwareMenu.Enabled = False
                '--------------------------------------------
                Me.EstadoMenu.Text = "Logeado Admin"
            End If
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btProbador_Click
    '* Finalidad:           Construye y Enviar Trama Modo Probador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btProbador_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        ModoProbador = True

        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &HD            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              Timer2_Tick
    '* Finalidad:           Tratar evento Timer2
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        If ModoProbador Then
            Dim mBuffer As Byte() = New Byte(5) {}
            mBuffer(0) = &HAA           'Control
            mBuffer(1) = &H0            'LongH
            mBuffer(2) = &H5            'LongL
            mBuffer(3) = &HD            'Funcion
            mBuffer(4) = &H55           'CRC H
            If ConectadoUSB Then
                EnviaTramaUSB(mBuffer)
            End If
            If ConectadoETH Then
                WinSockCliente.EnviaTramaETH(mBuffer)
            End If
            Timer2.Enabled = False
            'ElseIf ConectadoUSB Or ConectadoETH Then
        ElseIf ConectadoUSB Then
            'TRAMA DE POLLING
            Dim mBuffer As Byte() = New Byte(5) {}
            mBuffer(0) = &HAA           'Control
            mBuffer(1) = &H0            'LongH
            mBuffer(2) = &H5            'LongL
            mBuffer(3) = &H11           'Funcion
            mBuffer(4) = &H55           'CRC H
            If ConectadoUSB Then
                EnviaTramaUSB(mBuffer)
            End If
            If ConectadoETH Then
                WinSockCliente.EnviaTramaETH(mBuffer)
            End If
            If Pooling = False Then
                DesconectarMenu_Click(Me, e)
                Timer2.Enabled = False
                Pooling = True
            Else
                Pooling = False
            End If
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btPedirIDRegDat_Click_1
    '* Finalidad:           Construye y Envia trama para leer ID del registrador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btPedirIDRegDat_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btPedirID.Click
        Dim mBuffer As Byte() = New Byte(6) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &H5            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btModificarIDRegDatParametro_Click_1
    '* Finalidad:           Construye y Envia trama para modifcifar ID del registrador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btModificarIDRegDatParametro_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btModificarID.Click
        Dim mBuffer As Byte() = New Byte(21) {}
        Dim expression As String
        Dim foundRows() As DataRow
        Dim Id As String = ""
        Dim i As Integer
        expression = "ID = " & ComboBoxSerie.SelectedItem.ToString
        foundRows = MiTablaIDs.Select(expression)
        For i = 0 To foundRows.Length - 1 Step 1
            Id = foundRows(i)(0).ToString & "-" & foundRows(i)(1).ToString
        Next
        Id = Id & "        "
        mBuffer(0) = &HAA                               'Control
        mBuffer(1) = &H0                                'LongH
        mBuffer(2) = &H15                                'LongL
        mBuffer(3) = &H6                                'Funcion
        mBuffer(4) = AscW(Id.Chars(0)) 'IdRegDat
        mBuffer(5) = AscW(Id.Chars(1)) 'IdRegDat
        mBuffer(6) = AscW(Id.Chars(2)) 'IdRegDat
        mBuffer(7) = AscW(Id.Chars(3)) 'IdRegDat
        mBuffer(8) = AscW(Id.Chars(4)) 'IdRegDat
        mBuffer(9) = AscW(Id.Chars(5)) 'IdRegDat
        mBuffer(10) = AscW(Id.Chars(6)) 'IdRegDat
        mBuffer(11) = AscW(Id.Chars(7)) 'IdRegDat
        mBuffer(12) = AscW(Id.Chars(8)) 'IdRegDat
        mBuffer(13) = AscW(Id.Chars(9)) 'IdRegDat
        mBuffer(14) = AscW(Id.Chars(10)) 'IdRegDat
        mBuffer(15) = AscW(Id.Chars(11)) 'IdRegDat
        mBuffer(16) = AscW(Id.Chars(12)) 'IdRegDat
        mBuffer(17) = AscW(Id.Chars(13)) 'IdRegDat
        mBuffer(18) = AscW(Id.Chars(14)) 'IdRegDat
        mBuffer(19) = AscW(Id.Chars(15)) 'IdRegDat
        mBuffer(20) = &H55                               'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              Button1_Click_2
    '* Finalidad:           Construye y Envia trama de funcion 0x0E, solo desarroyo modo provador
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub Button1_Click_2(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        ModoProbador = False

        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &HE            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If

        txtP1NO.Text = ""
        txtP2NO.Text = ""
        txtP3NO.Text = ""
        txtP4NO.Text = ""
        txtP1NC.Text = ""
        txtP2NC.Text = ""
        txtP3NC.Text = ""
        txtP4NC.Text = ""
        txtBYPASS.Text = ""
        txtEEPROM1.Text = ""
        txtEEPROM2.Text = ""
        txtEEPROM3.Text = ""
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              FechaModificacion
    '* Finalidad:           Fecha de ultima modificacin del archivo pasado como parmetro
    '* Argumentos:          strRuta => Ruta del archivo
    '* Retorno:             Fecha modificacin
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Function FechaModificacion(ByVal strRuta As String) As Date
        Dim fso, Archivo As Object

        fso = CreateObject("Scripting.FileSystemObject")
        Archivo = fso.GetFile(strRuta)

        FechaModificacion = Archivo.DateLastModified

        Archivo = Nothing
        fso = Nothing

    End Function ' FechaModificacion


    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              EnviarTrmaUSB
    '* Finalidad:           Envia trama por conexin serie y calcula el CRC
    '* Argumentos:          mbuffer => Buffer de Bytes a enviar
    '* Retorno:             Boolean True
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Function EnviaTramaUSB(ByVal mBuffer As Byte()) As Boolean
        Dim crc As Byte
        crc = 0
        For i As Integer = 0 To mBuffer.Length - 3
            crc = crc Xor mBuffer(i)
        Next
        mBuffer(mBuffer.Length - 2) = crc
        Try
            'Write the data in the text box to the open serial port
            SerialPort1.Write(mBuffer, 0, mBuffer.Length - 1)
        Catch ex As Exception
            'If there was an exception, then close the handle to 
            '  the device and assume that the device was removed
            'DesconectarMenu_Click(Me, e)    'TODO ARREGLAR ESTO
        End Try
        EnviaTramaUSB = True
    End Function    '********************************************************************************

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              CodigosEventosMenu_Click
    '* Finalidad:           Activar pantalla de codigos de eventos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub CodigosEventosMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CodigosEventosMenu.Click
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = True
        Me.DataGridViewCodigosEventos.DataSource = MiTablaCodigos
        DataGridViewCodigosEventos.AutoResizeColumns()
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btModTablaCodigos_Click
    '* Finalidad:           Modificar Fichero de Descripciones de Eventos
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  MiTablaCodigos
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btModTablaCodigos_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btModTablaCodigos.Click
        Dim separador As Char
        Dim ruta As String = Application.StartupPath & "\REGDAT_DESC.csv"
        separador = ";"
        ExportDatasetToCsvSinCabecera(ruta, separador, Me.DataGridViewCodigosEventos)
        Me.LbFechaFicheroCodigos.Text = "Nombre: " + ruta.Substring(InStrRev(ruta, "\"))
        Me.LbFechaFicheroCodigos.Text = "Fecha Modificado: " + FechaModificacion(ruta).ToString
        MiTablaCodigos.Clear()
        ConstruirTablaCodigos(ruta, ";")
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btModTablaId_Click
    '* Finalidad:           Modificar Fichero de Identificadores
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  MiTablaIDs
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btModTablaId_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btModTablaId.Click
        Dim separador As Char
        Dim ruta As String = Application.StartupPath & "\REGDAT_ID.csv"
        separador = "-"
        ExportDatasetToCsvSinCabecera(ruta, separador, Me.DataGridViewIdRegDat)
        Me.LbNombreFicheroID.Text = "Nombre: " + ruta.Substring(InStrRev(ruta, "\"))
        Me.LbFechaFicheroID.Text = "Fecha Modificado: " + FechaModificacion(ruta).ToString
        MiTablaIDs.Clear()
        ConstruirTablaIDs(ruta, "-")
        Me.ComboBoxSerie.Items.Clear()
        Dim SerieAnt As String
        SerieAnt = ""
        For Each row As DataRow In MiTablaIDs.Rows
            If SerieAnt <> row.Item(1) Then
                Me.ComboBoxSerie.Items.AddRange(New Object() {row.Item(0).ToString})
            End If
            SerieAnt = row.Item(1).ToString
        Next
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btBorrarAlarmas_Click
    '* Finalidad:           Construye y Enviar trama de Borrado de alarmas
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btBorrarAlarmas_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btBorrarAlarmas.Click

        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &H10            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btLeerAlarmas_Click
    '* Finalidad:           Construye y Enviar trama de lectura de alarmas
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btLeerAlarmas_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btLeerAlarmas.Click
        'Pedimos Alarmas
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5           'LongL
        mBuffer(3) = &HF            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              CodigosIdMenu_Click
    '* Finalidad:           Tratar pulsado boton , cambia a pantalla codigo identificacin
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub CodigosIdMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CodigosIdMenu.Click
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = True
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
        Me.DataGridViewIdRegDat.DataSource = MiTablaIDs
        DataGridViewIdRegDat.AutoResizeColumns()
    End Sub


    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConfigurarGrficoMenu_Click
    '* Finalidad:           tratar pulsado boton, cambia a pantalla Grafico
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ConfigurarGrficoMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = False
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              AyudaToolStripMenuItem_Click
    '* Finalidad:           tratar pulsado boton, abrir fichero de ayuda .pdf
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub AyudaToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AyudaToolStripMenuItem.Click
        Dim fichero As String
        fichero = Application.StartupPath & "\REGDAT_HELP.pdf"
        System.Diagnostics.Process.Start(fichero)
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConectarIPMenu_Click
    '* Finalidad:           Conectar Mediante Ethernet, envia trama pedir ID
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  Logeado, WinSockCliente
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ConectarIPMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ConectarIPMenu.Click
        Dim PuertoEth As String
        PuertoEth = "55000"
        With WinSockCliente
            'IP y puerto del servidor
            .IPDelHost = txtIPMenu.Text
            .PuertoDelHost = PuertoEth
            'Intentamos la conexin
            .Conectar()
            ConectadoETH = True
        End With
        ConectadoETH = True
        Me.EstadoMenu.Text = "Conectado con :"
        Me.EstadoMenu.BackColor = Color.Green
        System.Threading.Thread.Sleep(100)
        'Pedimos ID RegDat
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &H5            'Funcion
        mBuffer(4) = &H55           'CRC H
        WinSockCliente.EnviaTramaETH(mBuffer)

        If Logeado Then
            'Habilitacin de menus
            Me.ConexionMenu.Enabled = True
            Me.SelPuertoMenu.Enabled = False
            Me.ConectarMenu.Enabled = False
            Me.DesconectarMenu.Enabled = True
            txtIPMenu.Enabled = False
            ConectarIPMenu.Enabled = False
            '---------------------------------------------
            Me.DatosMenu.Enabled = True
            Me.PedirDatosRegistradorMenu.Enabled = True
            Me.BorrarDatosRegistradorMenu.Enabled = False
            Me.AbrirArchivoMenu.Enabled = True
            Me.GenerarArchivoMenu.Enabled = True
            '---------------------------------------------
            Me.GraficoMenu.Enabled = True
            '---------------------------------------------
            Me.ConfigurarMenu.Enabled = True
            Me.ConfigurarFechaMenu.Enabled = True
            Me.CodigosIdMenu.Enabled = False
            Me.ConfigurarParametrosMenu.Visible = False
            Me.ProbadorMenu.Visible = False
            Me.CodigosEventosMenu.Enabled = False
            '--------------------------------------------
            Me.DiagnsticoMenu.Enabled = True
            '--------------------------------------------
            Me.FirmwareMenu.Enabled = True
            Me.ComprobarVersionMenu.Enabled = True
            Me.ActualizarFirmwareMenu.Enabled = False
            '--------------------------------------------
        End If
        If Logeado2 Then
            'Habilitacin de menus
            Me.ConexionMenu.Enabled = True
            Me.SelPuertoMenu.Enabled = False
            Me.ConectarMenu.Enabled = False
            Me.DesconectarMenu.Enabled = True
            txtIPMenu.Enabled = False
            ConectarIPMenu.Enabled = False
            '---------------------------------------------
            Me.DatosMenu.Enabled = True
            Me.PedirDatosRegistradorMenu.Enabled = True
            Me.BorrarDatosRegistradorMenu.Enabled = True
            Me.AbrirArchivoMenu.Enabled = True
            Me.GenerarArchivoMenu.Enabled = True
            '---------------------------------------------
            Me.GraficoMenu.Enabled = True
            '---------------------------------------------
            Me.ConfigurarMenu.Enabled = True
            Me.ConfigurarFechaMenu.Enabled = True
            Me.CodigosIdMenu.Enabled = True
            Me.ConfigurarParametrosMenu.Visible = False
            Me.ProbadorMenu.Visible = False
            Me.CodigosEventosMenu.Enabled = True
            '--------------------------------------------
            Me.DiagnsticoMenu.Enabled = True
            '--------------------------------------------
            Me.FirmwareMenu.Enabled = True
            Me.ComprobarVersionMenu.Enabled = True
            Me.ActualizarFirmwareMenu.Enabled = False
            '--------------------------------------------
        End If
        If LogeadoAdmin Then
            'Habilitacin de menus
            Me.ConexionMenu.Enabled = True
            Me.SelPuertoMenu.Enabled = False
            Me.ConectarMenu.Enabled = False
            Me.DesconectarMenu.Enabled = True
            '---------------------------------------------
            Me.DatosMenu.Enabled = True
            Me.PedirDatosRegistradorMenu.Enabled = True
            Me.BorrarDatosRegistradorMenu.Enabled = True
            Me.AbrirArchivoMenu.Enabled = True
            Me.GenerarArchivoMenu.Enabled = True
            '---------------------------------------------
            Me.GraficoMenu.Enabled = True
            '---------------------------------------------
            Me.ConfigurarMenu.Enabled = True
            Me.ConfigurarFechaMenu.Enabled = True
            Me.CodigosIdMenu.Enabled = True
            Me.ConfigurarParametrosMenu.Visible = True
            Me.ConfigurarParametrosMenu.Enabled = True
            Me.ProbadorMenu.Visible = True
            Me.ProbadorMenu.Enabled = True
            Me.CodigosEventosMenu.Enabled = True
            '--------------------------------------------
            Me.DiagnsticoMenu.Enabled = True
            '--------------------------------------------
            Me.FirmwareMenu.Enabled = True
            Me.ComprobarVersionMenu.Enabled = True
            Me.ActualizarFirmwareMenu.Enabled = False
            '--------------------------------------------
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConectarUSBMenu_Click
    '* Finalidad:           Conectar Mediante USB, envia trama pedir ID
    '* Argumentos:          NC
    '* Retorno:             NC
    '* Variables Globales:  Logeado, SerialPort1
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ConectarUSBMenu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ConectarUSBMenu.Click
        Try
            SerialPort1.PortName = SelPuertoMenu.Items(SelPuertoMenu.SelectedIndex).ToString()
            'Open the COM port.
            SerialPort1.Open()
            ConectadoUSB = True
            Me.EstadoMenu.Text = "Conectado con :"
            Me.EstadoMenu.BackColor = Color.Green
            System.Threading.Thread.Sleep(100)
            'Pedimos ID RegDat
            Dim mBuffer As Byte() = New Byte(5) {}
            mBuffer(0) = &HAA           'Control
            mBuffer(1) = &H0            'LongH
            mBuffer(2) = &H5            'LongL
            mBuffer(3) = &H5            'Funcion
            mBuffer(4) = &H55           'CRC H
            EnviaTramaUSB(mBuffer)
            Timer2.Enabled = True
            If Logeado Then
                'Habilitacin de menus
                Me.ConexionMenu.Enabled = True
                Me.SelPuertoMenu.Enabled = False
                Me.ConectarMenu.Enabled = False
                Me.DesconectarMenu.Enabled = True
                txtIPMenu.Enabled = False
                ConectarIPMenu.Enabled = False
                '---------------------------------------------
                Me.DatosMenu.Enabled = True
                Me.PedirDatosRegistradorMenu.Enabled = True
                Me.BorrarDatosRegistradorMenu.Enabled = False
                Me.AbrirArchivoMenu.Enabled = True
                Me.GenerarArchivoMenu.Enabled = True
                '---------------------------------------------
                Me.GraficoMenu.Enabled = True
                '---------------------------------------------
                Me.ConfigurarMenu.Enabled = True
                Me.ConfigurarFechaMenu.Enabled = True
                Me.CodigosIdMenu.Enabled = True
                Me.ConfigurarParametrosMenu.Visible = False
                Me.ProbadorMenu.Visible = False
                Me.CodigosEventosMenu.Enabled = False
                '--------------------------------------------
                Me.DiagnsticoMenu.Enabled = True
                '--------------------------------------------
                Me.FirmwareMenu.Enabled = True
                Me.ComprobarVersionMenu.Enabled = True
                Me.ActualizarFirmwareMenu.Enabled = False
                '--------------------------------------------
            End If
            If Logeado2 Then
                'Habilitacin de menus
                Me.ConexionMenu.Enabled = True
                Me.SelPuertoMenu.Enabled = False
                Me.ConectarMenu.Enabled = False
                Me.DesconectarMenu.Enabled = True
                txtIPMenu.Enabled = False
                ConectarIPMenu.Enabled = False
                '---------------------------------------------
                Me.DatosMenu.Enabled = True
                Me.PedirDatosRegistradorMenu.Enabled = True
                Me.BorrarDatosRegistradorMenu.Enabled = True
                Me.AbrirArchivoMenu.Enabled = True
                Me.GenerarArchivoMenu.Enabled = True
                '---------------------------------------------
                Me.GraficoMenu.Enabled = True
                '---------------------------------------------
                Me.ConfigurarMenu.Enabled = True
                Me.ConfigurarFechaMenu.Enabled = True
                Me.CodigosIdMenu.Enabled = True
                Me.ConfigurarParametrosMenu.Visible = False
                Me.ProbadorMenu.Visible = False
                Me.CodigosEventosMenu.Enabled = True
                '--------------------------------------------
                Me.DiagnsticoMenu.Enabled = True
                '--------------------------------------------
                Me.FirmwareMenu.Enabled = True
                Me.ComprobarVersionMenu.Enabled = True
                Me.ActualizarFirmwareMenu.Enabled = True
                '--------------------------------------------
            End If
            If LogeadoAdmin Then
                'Habilitacin de menus
                Me.ConexionMenu.Enabled = True
                Me.SelPuertoMenu.Enabled = False
                Me.ConectarMenu.Enabled = False
                Me.DesconectarMenu.Enabled = True
                txtIPMenu.Enabled = False
                ConectarIPMenu.Enabled = False
                '---------------------------------------------
                Me.DatosMenu.Enabled = True
                Me.PedirDatosRegistradorMenu.Enabled = True
                Me.BorrarDatosRegistradorMenu.Enabled = True
                Me.AbrirArchivoMenu.Enabled = True
                Me.GenerarArchivoMenu.Enabled = True
                '---------------------------------------------
                Me.GraficoMenu.Enabled = True
                '---------------------------------------------
                Me.ConfigurarMenu.Enabled = True
                Me.ConfigurarFechaMenu.Enabled = True
                Me.CodigosIdMenu.Enabled = True
                Me.ConfigurarParametrosMenu.Visible = True
                Me.ConfigurarParametrosMenu.Enabled = True
                Me.ProbadorMenu.Visible = True
                Me.ProbadorMenu.Enabled = True
                Me.CodigosEventosMenu.Enabled = True
                '--------------------------------------------
                Me.DiagnsticoMenu.Enabled = True
                '--------------------------------------------
                Me.FirmwareMenu.Enabled = True
                Me.ComprobarVersionMenu.Enabled = True
                Me.ActualizarFirmwareMenu.Enabled = True
                '--------------------------------------------
            End If
        Catch ex As Exception
            DesconectarMenu_Click(Me, e)
        End Try
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ConectarUSBMenu_Click
    '* Finalidad:           Tratar Recepcin por Ethernet
    '* Argumentos:          Array de Datos
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub WinSockCliente_DatosRecibidos(ByVal datos As Byte()) Handles WinSockCliente.DatosRecibidos
        tratatrama(datos, datos(2))
    End Sub


    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              WinSockCliente_ConexionTerminada
    '* Finalidad:           Tratar Finalizacin de conexin Ethernet
    '* Argumentos:          Array de Datos
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub WinSockCliente_ConexionTerminada() Handles WinSockCliente.ConexionTerminada

        MsgBox("Finalizo la conexion ETH Registrador")

        'Habilito la posibilidad de una reconexion
        txtIPMenu.Enabled = True
        ConectarIPMenu.Enabled = True
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              tratatrama
    '* Finalidad:           Tratar Trama, identificacion de tipo y realizar acciones 
    '* Argumentos:          Buffer de trama y longitud
    '* Retorno:             NC
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub tratatrama(ByVal mBuffer As Byte(), ByVal longitud As Integer)
        Dim YearTemp, MonthTemp, DayTemp, HourTemp, MinuteTemp, SecondTemp, mSecondTemp, InputTemp, ValorTemp As Byte

        SetTimer2()
        '-----------------------------------------Trama Lectura EEPROM----------------------------------------------
        If (mBuffer(0) = &H55 And mBuffer(3) = &H81 And mBuffer(2) = longitud) Then
            'LECTURA DATOS todo control y meter en tabla personal mitablatemp
            'Comprimimos los datos D:Dia,M:Mes,A:Ao,H:Hora,m:Minuto,S:Segundo,C:Codificacion,P:Pulsador,R:Reserva
            'BYTE 1 8
            '	D4		D3		D2		D1		D0		M3		M2		M1
            'BYTE 2 9
            '	M0		A6		A5		A4		A3		A2		A1		A0
            'BYTE 3 10
            '	H4		H3		H2		H1		H0		m5		m4		m3
            'BYTE 4 11
            '	m2		m1		m0		S5		S4		S3		S2		S1
            'BYTE 5 12
            '	S0		C2		C1		C0		P2		P1		P0		R8
            'BYTE 6 13
            '	R7		R6		R5		R4		R3		R2		R1		R0
            RxBuffer = mBuffer
            CntRxBuffer = (CntRxBuffer + longitud - 10)
            PaquetesTotales = (mBuffer(4) * 256) + mBuffer(5)
            PaqueteRecivido = (mBuffer(6) * 256) + mBuffer(7)

            For i As Integer = 0 To 40  '41 conjuntos de datos x trama
                DayTemp = mBuffer(i * 6 + 8) >> 3
                MonthTemp = ((mBuffer(i * 6 + 8) And &H7) * 2) + (mBuffer(i * 6 + 9) >> 7) '00000111 
                YearTemp = mBuffer(i * 6 + 9) And &H7F  '011111111
                HourTemp = mBuffer(i * 6 + 10) >> 3
                MinuteTemp = ((mBuffer(i * 6 + 10) And &H7) << 3) + (mBuffer(i * 6 + 11) >> 5) '00000111 
                SecondTemp = ((mBuffer(i * 6 + 11) And &H1F) << 1) + (mBuffer(i * 6 + 12) >> 7) '00000111 
                mSecondTemp = ((mBuffer(i * 6 + 12) And &H78) >> 3)                             '01111000 >>3
                InputTemp = (mBuffer(i * 6 + 12) And &H7) '00000111 
                ValorTemp = (mBuffer(i * 6 + 13) And &H10) >> 4 '00010000 >>4
                AddFilaTabla(MiTablaTemp, DayTemp, MonthTemp, YearTemp, HourTemp, MinuteTemp, SecondTemp, mSecondTemp, InputTemp, ValorTemp)
            Next

            PaqueteActual = PaqueteRecivido + 1
            If (PaqueteRecivido = 0) Then
                SetProgressBar(PaquetesTotales)
            End If
            If (PaqueteRecivido < PaquetesTotales) Then
                PedirDatos()
            Else
                PaqueteActual = 0
                trd = New Thread(AddressOf ThreadTask)
                trd.IsBackground = True
                msgtxt = "Registro Descargado Completo"
                trd.Start()
                'MessageBox.Show("Registro Descargado Completo")
                'Mostramos tabla en datagrid
                SetDataGrid2()
            End If
            '-----------------------------------------Trama Lectura FECHA ----------------------------------------------
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H83 And mBuffer(2) = longitud) Then
            'LECTURA FECHA
            SetFecha(mBuffer(4).ToString, mBuffer(5).ToString, mBuffer(6).ToString, mBuffer(7).ToString, mBuffer(8).ToString, mBuffer(9).ToString)
            '-----------------------------------------Trama Modificacion FECHA----------------------------------------------
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H84 And mBuffer(2) = longitud) Then
            'MODIFICACION FECHA
            trd = New Thread(AddressOf ThreadTask)
            trd.IsBackground = True
            msgtxt = "Fecha Modificada Correctamente"
            trd.Start()
            'MessageBox.Show("Fecha Modificada Correctamente")
            intYear = mBuffer(4)
            intMonth = mBuffer(5)
            intDay = mBuffer(6)
            intHour = mBuffer(7)
            intMinute = mBuffer(8)
            intSecond = mBuffer(9)
            SetFecha(intYear.ToString, intMonth.ToString, intDay.ToString, intHour.ToString, intMinute.ToString, intSecond.ToString)
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H87 And mBuffer(2) = longitud) Then
            'LECTURA PARAMETRO
            intIdParametro = mBuffer(4)
            intValorParametro = (mBuffer(5) * 256) + mBuffer(6)
            SetParametro(intIdParametro.ToString, intValorParametro.ToString)

        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H88 And mBuffer(2) = longitud) Then
            'MODIFICACIN PARAMETRO
            intIdParametro = mBuffer(4)
            intValorParametro = (mBuffer(5) * 256) + mBuffer(6)
            SetParametro(intIdParametro.ToString, intValorParametro.ToString)

        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H89 And mBuffer(2) = longitud) Then
            
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H8A And mBuffer(2) = longitud) Then
         
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H82 And mBuffer(2) = longitud) Then
            'BORRADOEEPROM
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H85 And mBuffer(2) = longitud) Then
            'LECTURA ID RegDat       
            Dim IDRegDat As String
            IDRegDat = ChrW(mBuffer(4))
            IDRegDat += ChrW(mBuffer(5))
            IDRegDat += ChrW(mBuffer(6))
            IDRegDat += ChrW(mBuffer(7))
            IDRegDat += ChrW(mBuffer(8))
            IDRegDat += ChrW(mBuffer(9))
            IDRegDat += ChrW(mBuffer(10))
            IDRegDat += ChrW(mBuffer(11))
            IDRegDat += ChrW(mBuffer(12))
            IDRegDat += ChrW(mBuffer(13))
            IDRegDat += ChrW(mBuffer(14))
            IDRegDat += ChrW(mBuffer(15))
            IDRegDat += ChrW(mBuffer(16))
            IDRegDat += ChrW(mBuffer(17))
            IDRegDat += ChrW(mBuffer(18))
            IDRegDat += ChrW(mBuffer(19))
            SetIDRegDat(IDRegDat)

        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H86 And mBuffer(2) = longitud) Then
            'MODIFICACION IDRegDat
            trd = New Thread(AddressOf ThreadTask)
            trd.IsBackground = True
            msgtxt = "ID Modificado Correctamente"
            trd.Start()
            'MessageBox.Show("ID Modificado Correctamente")
            Dim IDRegDat As String
            IDRegDat = ChrW(mBuffer(4))
            IDRegDat += ChrW(mBuffer(5))
            IDRegDat += ChrW(mBuffer(6))
            IDRegDat += ChrW(mBuffer(7))
            IDRegDat += ChrW(mBuffer(8))
            IDRegDat += ChrW(mBuffer(9))
            IDRegDat += ChrW(mBuffer(10))
            IDRegDat += ChrW(mBuffer(11))
            IDRegDat += ChrW(mBuffer(12))
            IDRegDat += ChrW(mBuffer(13))
            IDRegDat += ChrW(mBuffer(14))
            IDRegDat += ChrW(mBuffer(15))
            IDRegDat += ChrW(mBuffer(16))
            IDRegDat += ChrW(mBuffer(17))
            IDRegDat += ChrW(mBuffer(18))
            IDRegDat += ChrW(mBuffer(19))
            SetIDRegDat(IDRegDat)
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H8C And mBuffer(2) = longitud) Then
            'Version de Soft
            Dim VSoft As String
            VSoft = ChrW(mBuffer(4))
            VSoft += ChrW(mBuffer(5))
            VSoft += ChrW(mBuffer(6))
            VSoft += ChrW(mBuffer(7))
            trd = New Thread(AddressOf ThreadTask)
            trd.IsBackground = True
            msgtxt = "Versin de Firmware Actual: " + VSoft
            trd.Start()
            'SetVSoft(VSoft)
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H8D And mBuffer(2) = longitud) Then
            'MODO PRUEBA
            Dim TXTP1NO, TXTP2NO, TXTP3NO, TXTP4NO, TXTP1NC, TXTP2NC, TXTP3NC, TXTP4NC, TXTBYPASS, TXTRELE, TXTEEPROM1, TXTEEPROM2, TXTEEPROM3 As String
            TXTP1NO = mBuffer(4).ToString
            TXTP2NO = mBuffer(5).ToString
            TXTP3NO = mBuffer(6).ToString
            TXTP4NO = mBuffer(7).ToString
            TXTP1NC = mBuffer(8).ToString
            TXTP2NC = mBuffer(9).ToString
            TXTP3NC = mBuffer(10).ToString
            TXTP4NC = mBuffer(11).ToString
            TXTRELE = mBuffer(12).ToString
            TXTBYPASS = mBuffer(13).ToString
            TXTEEPROM1 = mBuffer(14).ToString
            TXTEEPROM2 = mBuffer(15).ToString
            TXTEEPROM3 = mBuffer(16).ToString
            SetProbador(TXTP1NO, TXTP2NO, TXTP3NO, TXTP4NO, TXTP1NC, TXTP2NC, TXTP3NC, TXTP4NC, TXTBYPASS, TXTRELE, TXTEEPROM1, TXTEEPROM2, TXTEEPROM3)
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H8F And mBuffer(2) = longitud) Then
            'ALARMAS
            Dim Alarmas1, Alarmas2 As Byte
            Alarmas1 = mBuffer(4).ToString
            Alarmas2 = mBuffer(5).ToString
            SetAlarmas(Alarmas1, Alarmas2)
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H90 And mBuffer(2) = longitud) Then
            'ALARMAS
            Dim Alarmas1, Alarmas2 As Byte
            Alarmas1 = mBuffer(4).ToString
            Alarmas2 = mBuffer(5).ToString
            SetAlarmas(Alarmas1, Alarmas2)
        ElseIf (mBuffer(0) = &H55 And mBuffer(3) = &H91 And mBuffer(2) = longitud) Then
            'TRAMA POOLING
        Else
            'trama incorrecta
        End If

        'Try
        'SetText(texto, CStr(CntRxBuffer))
        'Catch ex As Exception
        'If there was an exception, then close the handle to 
        '  the device and assume that the device was removed
        'DesconectarMenu_Click(Me, e)
        'End Try
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetTimer2
    '* Finalidad:           Habilitar Timer2 desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetTimer2()
        If txtDataReceived.InvokeRequired Then
            Dim d As New SetTimer2Callback(AddressOf SetTimer2)
            Invoke(d, New Object() {})
        Else
            Pooling = True
            Me.Timer2.Enabled = True
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetAlarmas
    '* Finalidad:           Actualizar alarmas desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetAlarmas(ByVal [al1] As Byte, ByVal [al2] As Byte)
        If txtDataReceived.InvokeRequired Then
            Dim d As New SetAlarmasCallback(AddressOf SetAlarmas)
            Invoke(d, New Object() {[al1], [al2]})
        Else
            Me.txtAlarmas.Clear()
            If al1 = 0 And al2 = 0 Then
                Me.txtAlarmas.AppendText("No hay Alarmas en el equipo" + vbCrLf)
            End If
            If al1 And &H1 Then
                Me.txtAlarmas.AppendText("Alarma posicin EEPROM daada" + vbCrLf)
            End If
            If al1 And &H2 Then
                Me.txtAlarmas.AppendText("Alarma posicin EEPROM RTC daada" + vbCrLf)
            End If
            If al1 And &H4 Then
                Me.txtAlarmas.AppendText("Alarma RELE daado" + vbCrLf)
            End If
            If al1 And &H8 Then
                Me.txtAlarmas.AppendText("Alarma Puntero Perdido" + vbCrLf)
            End If
            If al1 And &H10 Then
                Me.txtAlarmas.AppendText("Alarma Pulsador 1" + vbCrLf)
            End If
            If al1 And &H20 Then
                Me.txtAlarmas.AppendText("Alarma Pulsador 2" + vbCrLf)
            End If
            If al1 And &H40 Then
                Me.txtAlarmas.AppendText("Alarma Pulsador 3" + vbCrLf)
            End If
            If al1 And &H80 Then
                Me.txtAlarmas.AppendText("Alarma Pulsador 4" + vbCrLf)
            End If
            If al2 And &H1 Then
                Me.txtAlarmas.AppendText("Alarma EEPROM 1" + vbCrLf)
            End If
            If al2 And &H2 Then
                Me.txtAlarmas.AppendText("Alarma EEPROM 2" + vbCrLf)
            End If
            If al2 And &H4 Then
                Me.txtAlarmas.AppendText("Alarma EEPROM 3" + vbCrLf)
            End If
            If al2 And &H8 Then
                Me.txtAlarmas.AppendText("Alarma Pila" + vbCrLf)
            End If
            If al2 And &H10 Then
                Me.txtAlarmas.AppendText("Alarma Parametros no inicializados" + vbCrLf)
            End If
            If al2 And &H20 Then
                Me.txtAlarmas.AppendText("Alarma No Definida" + vbCrLf)
            End If
            If al2 And &H40 Then
                Me.txtAlarmas.AppendText("Alarma No Definida" + vbCrLf)
            End If
            If al2 And &H80 Then
                Me.txtAlarmas.AppendText("Alarma No Definida" + vbCrLf)
            End If
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetText
    '* Finalidad:           Actualizar Textos Form1 desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetText(ByVal [text] As String, ByVal [text2] As String)
        If txtDataReceived.InvokeRequired Then
            Dim d As New SetTextCallback(AddressOf SetText)
            Invoke(d, New Object() {[text], [text2]})
        Else
            ProgressBar1.PerformStep()
            txtDataReceived.AppendText(text)
            txtCntDatos.Text = text2
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetDataGrid2
    '* Finalidad:           Actualizar DataGrid2 desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetDataGrid2()
        If txtDataReceived.InvokeRequired Then
            Dim d As New SetDataGrid2Callback(AddressOf SetDataGrid2)
            Invoke(d, New Object() {})
        Else
            Dim aux As Integer
            MiTablaTemp.DefaultView.Sort = "Fecha"
            aux = MiTablaTemp.Rows.Count
            DataGrid2.DataSource = Nothing
            DataGrid2.DataSource = MiTablaTemp2
            DataGrid2.AutoResizeColumns()
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetProbador
    '* Finalidad:           Actualizar Textos modod probador desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetProbador(ByVal [text] As String, ByVal [text2] As String, ByVal [text3] As String, ByVal [text4] As String, ByVal [text5] As String, ByVal [text6] As String, ByVal [text7] As String, ByVal [text8] As String, ByVal [text9] As String, ByVal [text10] As String, ByVal [text11] As String, ByVal [text12] As String, ByVal [text13] As String)
        If txtP1NO.InvokeRequired Then
            Dim d As New SetProbadorCallback(AddressOf SetProbador)
            Invoke(d, New Object() {[text], [text2], [text3], [text4], [text5], [text6], [text7], [text8], [text9], [text10], [text11], [text12], [text13]})
        Else
            txtP1NO.Text = text
            txtP2NO.Text = text2
            txtP3NO.Text = text3
            txtP4NO.Text = text4
            txtP1NC.Text = text5
            txtP2NC.Text = text6
            txtP3NC.Text = text7
            txtP4NC.Text = text8
            txtBYPASS.Text = text9
            txtRELE.Text = text10
            txtEEPROM1.Text = text11
            txtEEPROM2.Text = text12
            txtEEPROM3.Text = text13
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetFecha
    '* Finalidad:           Actualizar Textos fecha desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetFecha(ByVal [yeard] As String, ByVal [month] As String, ByVal [day] As String, ByVal [hour] As String, ByVal [minute] As String, ByVal [second] As String)
        If txtDataReceived.InvokeRequired Then
            Dim d As New SetFechaCallback(AddressOf SetFecha)
            Invoke(d, New Object() {[yeard], [month], [day], [hour], [minute], [second]})
        Else
            DatePicker1.Value.AddDays(day)
            TxtYeard.Text = yeard
            TxtMonth.Text = month
            TxtDay.Text = day
            TxtHour.Text = hour
            TxtMinute.Text = minute
            TxtSecond.Text = second
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetParametro
    '* Finalidad:           Actualizar Textos Parametros desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetParametro(ByVal [IdParametro] As String, ByVal [ValorParametro] As String)
        If txtDataReceived.InvokeRequired Then
            Dim d As New SetParametroCallback(AddressOf SetParametro)
            Invoke(d, New Object() {[IdParametro], [ValorParametro]})
        Else
            txtIdParametro.Text = IdParametro
            txtValorParametro.Text = ValorParametro
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetIDRegDat
    '* Finalidad:           Actualizar Textos ID registrador desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetIDRegDat(ByVal [ID] As String)
        If txtIdRegDat.InvokeRequired Then
            Dim d As New SetIDRegDatCallback(AddressOf SetIDRegDat)
            Invoke(d, New Object() {[ID]})
        Else
            txtIdRegDat.Text = ID
            Me.EstadoMenu.Text = "Conectado con : " & ID
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              SetProgressBar
    '* Finalidad:           Actualizar barra de progreso desde thread de recepcion COM 
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub SetProgressBar(ByVal [max] As Integer)
        If Me.ProgressBar1.InvokeRequired Then
            Dim d As New SetProgressBarCallback(AddressOf SetProgressBar)
            Invoke(d, New Object() {[max]})
        Else
            Me.ProgressBar1.Maximum = max
            ProgressBar1.Step = 1
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              MyContextMenuBuilder
    '* Finalidad:           Personalizar textos de men contextual de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************

    Private Sub MyContextMenuBuilder(ByVal control As ZedGraphControl, ByVal menuStrip As ContextMenuStrip, ByVal mousePt As Point, ByVal objState As ZedGraphControl.ContextMenuObjectState)

        ' create a new menu item
        menuStrip.Items(0).Text = "Copiar"
        menuStrip.Items(1).Text = "Salvar Imagen Como..."
        menuStrip.Items(2).Text = "Configurar Pagina"
        menuStrip.Items(3).Text = "Imprimir"
        menuStrip.Items(4).Text = "Muestra valores"
        menuStrip.Items(5).Text = "Deshacer Zoom"
        menuStrip.Items(6).Text = "Vista Origen"
        menuStrip.Items(7).Text = "Scala por defecto"

        menuStrip.Items.Remove(menuStrip.Items(4))
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btColorFondo_Click
    '* Finalidad:           Personalizar color fondo de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btColorFondo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btColorFondo.Click
        If ColorDialogGraph.ShowDialog = Windows.Forms.DialogResult.OK Then
            ColorBackGroundGrafic = ColorDialogGraph.Color
            If TablaVisualizada = 1 Then
                CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
            ElseIf TablaVisualizada = 2 Then
                CreateGraphLine(Me.Grafico, MiTabla2, 0)
            End If
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btColorByPass_Click
    '* Finalidad:           Personalizar color linea Anualcin de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btColorByPass_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        If ColorDialogGraph.ShowDialog = Windows.Forms.DialogResult.OK Then
            ColorLine6Grafic = ColorDialogGraph.Color
            If TablaVisualizada = 1 Then
                CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
            ElseIf TablaVisualizada = 2 Then
                CreateGraphLine(Me.Grafico, MiTabla2, 0)
            End If
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btColorPulsador1_Click
    '* Finalidad:           Personalizar color linea Pulsador 1 de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btColorPulsador1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btColorPulsador1.Click
        If ColorDialogGraph.ShowDialog = Windows.Forms.DialogResult.OK Then
            ColorLine2Grafic = ColorDialogGraph.Color
            If TablaVisualizada = 1 Then
                CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
            ElseIf TablaVisualizada = 2 Then
                CreateGraphLine(Me.Grafico, MiTabla2, 0)
            End If
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btColorPulsador2_Click
    '* Finalidad:           Personalizar color linea Pulsador 2 de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btColorPulsador2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btColorPulsador2.Click
        If ColorDialogGraph.ShowDialog = Windows.Forms.DialogResult.OK Then
            ColorLine3Grafic = ColorDialogGraph.Color
            If TablaVisualizada = 1 Then
                CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
            ElseIf TablaVisualizada = 2 Then
                CreateGraphLine(Me.Grafico, MiTabla2, 0)
            End If
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btColorPulsador3_Click
    '* Finalidad:           Personalizar color linea Pulsador 3 de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btColorPulsador3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btColorPulsador3.Click
        If ColorDialogGraph.ShowDialog = Windows.Forms.DialogResult.OK Then
            ColorLine4Grafic = ColorDialogGraph.Color
            If TablaVisualizada = 1 Then
                CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
            ElseIf TablaVisualizada = 2 Then
                CreateGraphLine(Me.Grafico, MiTabla2, 0)
            End If
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btColorPulsador4_Click
    '* Finalidad:           Personalizar color linea Pulsador 4 de Grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btColorPulsador4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btColorPulsador4.Click
        If ColorDialogGraph.ShowDialog = Windows.Forms.DialogResult.OK Then
            ColorLine5Grafic = ColorDialogGraph.Color
            If TablaVisualizada = 1 Then
                CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
            ElseIf TablaVisualizada = 2 Then
                CreateGraphLine(Me.Grafico, MiTabla2, 0)
            End If
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btGenerarGraficoLnIzq_Click
    '* Finalidad:           Llamada a la creacin de grafico al pulsar
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btGenerarGraficoLnIzq_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btGenerarGraficoLnIzq.Click
        CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
        TablaVisualizada = 1
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btGenerarGraficoLnIzq_Click
    '* Finalidad:           Llamada a la creacin de grafico al pulsar
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btGenerarGraficoCrIzq_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btGenerarGraficoCrIzq.Click
        CreateGraphCircle(Me.Grafico, MiTablaTemp, 0)
        TablaVisualizada = 1
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btGenerarGraficoLnIzq_Click
    '* Finalidad:           Llamada a la creacin de grafico al pulsar
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btGenerarGraficoLnDrc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btGenerarGraficoLnDrc.Click
        CreateGraphLine(Me.Grafico, MiTabla2, 0)
        TablaVisualizada = 2
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btGenerarGraficoLnIzq_Click
    '* Finalidad:           Llamada a la creacin de grafico al pulsar
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btGenerarGraficoCrDrc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        CreateGraphCircle(Me.Grafico, MiTabla2, 0)
        TablaVisualizada = 2
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              cbGrosorLineaGraph_SelectedIndexChanged
    '* Finalidad:           Personalizar grosor de linea de grafico
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub cbGrosorLineaGraph_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbGrosorLineaGraph.SelectedIndexChanged
        GrosorLineGrafic = cbGrosorLineaGraph.Items(cbGrosorLineaGraph.SelectedIndex)
        If TablaVisualizada = 1 Then
            CreateGraphLine(Me.Grafico, MiTablaTemp, 0)
        ElseIf TablaVisualizada = 2 Then
            CreateGraphLine(Me.Grafico, MiTabla2, 0)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              btProbador_Click_1
    '* Finalidad:           Enviar trama de entrar en modo probador, solo desarroyo
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub btProbador_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btProbador.Click
        ModoProbador = True

        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5            'LongL
        mBuffer(3) = &HD            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub

    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              AlarmasYEventosToolStripMenuItem_Click
    '* Finalidad:           Cambio a pantalla de alarmas
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub AlarmasYEventosToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AlarmasYEventosToolStripMenuItem.Click
        Me.PanelFecha.Visible = False
        Me.PanelGrafico.Visible = False
        Me.PanelModificarParametro.Visible = False
        Me.PanelLogueo.Visible = False
        Me.PanelAlarmas.Visible = True
        Me.PanelIdRegDat.Visible = False
        Me.PanelProbador.Visible = False
        Me.PanelCodigosEventos.Visible = False
        'Pedimos Alarmas
        Dim mBuffer As Byte() = New Byte(5) {}
        mBuffer(0) = &HAA           'Control
        mBuffer(1) = &H0            'LongH
        mBuffer(2) = &H5           'LongL
        mBuffer(3) = &HF            'Funcion
        mBuffer(4) = &H55           'CRC H
        If ConectadoUSB Then
            EnviaTramaUSB(mBuffer)
        End If
        If ConectadoETH Then
            WinSockCliente.EnviaTramaETH(mBuffer)
        End If
    End Sub
    '*********************************************************************************************
    '*********************************************************************************************
    '* Nombre:              ThreadTask
    '* Finalidad:           tarea del thread encargado de mostros msgbox
    '* Argumentos:          
    '* Retorno:             
    '* Variables Globales:  NC
    '* Autor Fecha:         Luis Alvarez 25/03/13
    '* Historial:           NC
    '*********************************************************************************************
    Private Sub ThreadTask()
        MessageBox.Show(msgtxt)
    End Sub

End Class
